import { Dataset } from '../types/global';
import { PropType } from 'vue';

declare const _default: import('vue').DefineComponent<import('vue').ExtractPropTypes<{
    /**
     * The dataset to display.
     */
    dataset: {
        type: PropType<Dataset>;
        default: () => Dataset;
    };
    /**
     * The route to navigate to when clicking on the dataset.
     */
    to: {
        type: PropType<RouteLocationRaw | string>;
        required: true;
    };
    /**
     * Specified the maximum length of the description before it is cut off.
     */
    descriptionMaxLength: {
        type: NumberConstructor;
        default: number;
    };
    /**
     * Image source for the catalog logo/flag.
     */
    src: {
        type: StringConstructor;
        default: string;
    };
    /**
     * If true, swaps to catalog display mode
     */
    catalogMode: {
        type: BooleanConstructor;
        default: boolean;
    };
    /**
     * If true switches from two column to one column layout
     * and decreases vertical distancing between elements.
     */
    compact: {
        type: BooleanConstructor;
        default: boolean;
    };
}>, {}, {}, {
    datasetOrCatalogTitle(): string;
}, {}, import('vue').ComponentOptionsMixin, import('vue').ComponentOptionsMixin, {}, string, import('vue').PublicProps, Readonly<import('vue').ExtractPropTypes<{
    /**
     * The dataset to display.
     */
    dataset: {
        type: PropType<Dataset>;
        default: () => Dataset;
    };
    /**
     * The route to navigate to when clicking on the dataset.
     */
    to: {
        type: PropType<RouteLocationRaw | string>;
        required: true;
    };
    /**
     * Specified the maximum length of the description before it is cut off.
     */
    descriptionMaxLength: {
        type: NumberConstructor;
        default: number;
    };
    /**
     * Image source for the catalog logo/flag.
     */
    src: {
        type: StringConstructor;
        default: string;
    };
    /**
     * If true, swaps to catalog display mode
     */
    catalogMode: {
        type: BooleanConstructor;
        default: boolean;
    };
    /**
     * If true switches from two column to one column layout
     * and decreases vertical distancing between elements.
     */
    compact: {
        type: BooleanConstructor;
        default: boolean;
    };
}>> & Readonly<{}>, {
    src: string;
    descriptionMaxLength: number;
    dataset: Dataset;
    catalogMode: boolean;
    compact: boolean;
}, {}, {
    PvBadge: import('vue').DefineComponent<import('vue').ExtractPropTypes<{
        value: {
            type: PropType<import('../types/global').DistributionFormat>;
            default: null;
        };
    }>, {}, {}, {}, {}, import('vue').ComponentOptionsMixin, import('vue').ComponentOptionsMixin, {}, string, import('vue').PublicProps, Readonly<import('vue').ExtractPropTypes<{
        value: {
            type: PropType<import('../types/global').DistributionFormat>;
            default: null;
        };
    }>> & Readonly<{}>, {
        value: import('../types/global').DistributionFormat;
    }, {}, {}, {}, string, import('vue').ComponentProvideOptions, true, {}, any>;
    PvDataInfoBoxFooter: import('vue').DefineComponent<import('vue').ExtractPropTypes<{
        createdDate: {
            type: StringConstructor;
            default: null;
        };
        updatedDate: {
            type: StringConstructor;
            default: null;
        };
        catalog: {
            type: StringConstructor;
            required: true;
        };
        src: {
            type: StringConstructor;
            default: string;
        };
    }>, {}, {}, {}, {}, import('vue').ComponentOptionsMixin, import('vue').ComponentOptionsMixin, {}, string, import('vue').PublicProps, Readonly<import('vue').ExtractPropTypes<{
        createdDate: {
            type: StringConstructor;
            default: null;
        };
        updatedDate: {
            type: StringConstructor;
            default: null;
        };
        catalog: {
            type: StringConstructor;
            required: true;
        };
        src: {
            type: StringConstructor;
            default: string;
        };
    }>> & Readonly<{}>, {
        createdDate: string;
        updatedDate: string;
        src: string;
    }, {}, {
        DatasetDate: import('vue').DefineComponent<{
            date?: any;
            toolTipTitle?: any;
        }, {}, {}, {
            filterDateFormatUS(): string;
            filterDateFormatEU(): string;
        }, {
            isIncorrectDate(): boolean;
            setDateIncorrect: import('vuex').ActionMethod;
        }, import('vue').ComponentOptionsMixin, import('vue').ComponentOptionsMixin, {}, string, import('vue').PublicProps, Readonly<{
            date?: any;
            toolTipTitle?: any;
        }> & Readonly<{}>, {}, {}, {}, {}, string, import('vue').ComponentProvideOptions, true, {}, any>;
        Tooltip: import('vue').DefineComponent<import('vue').ExtractPropTypes<{
            toolTipTitle: {
                type: StringConstructor;
            };
            placement: {
                type: StringConstructor;
            };
        }>, {}, {}, {}, {}, import('vue').ComponentOptionsMixin, import('vue').ComponentOptionsMixin, {}, string, import('vue').PublicProps, Readonly<import('vue').ExtractPropTypes<{
            toolTipTitle: {
                type: StringConstructor;
            };
            placement: {
                type: StringConstructor;
            };
        }>> & Readonly<{}>, {}, {}, {}, {}, string, import('vue').ComponentProvideOptions, true, {}, any>;
    }, {}, string, import('vue').ComponentProvideOptions, true, {}, any>;
    PvDataInfoBoxDescription: import('vue').DefineComponent<import('vue').ExtractPropTypes<{
        description: {
            type: StringConstructor;
            default: null;
        };
        descriptionMaxLength: {
            type: NumberConstructor;
            default: null;
        };
    }>, {}, {}, {
        truncatedDescription(): any;
    }, {}, import('vue').ComponentOptionsMixin, import('vue').ComponentOptionsMixin, {}, string, import('vue').PublicProps, Readonly<import('vue').ExtractPropTypes<{
        description: {
            type: StringConstructor;
            default: null;
        };
        descriptionMaxLength: {
            type: NumberConstructor;
            default: null;
        };
    }>> & Readonly<{}>, {
        description: string;
        descriptionMaxLength: number;
    }, {}, {}, {}, string, import('vue').ComponentProvideOptions, true, {}, any>;
    PvDataInfoBoxFormats: import('vue').DefineComponent<import('vue').ExtractPropTypes<{
        formats: {
            type: PropType<Array<any>>;
            required: true;
        };
    }>, {}, {}, {}, {}, import('vue').ComponentOptionsMixin, import('vue').ComponentOptionsMixin, {}, string, import('vue').PublicProps, Readonly<import('vue').ExtractPropTypes<{
        formats: {
            type: PropType<Array<any>>;
            required: true;
        };
    }>> & Readonly<{}>, {}, {}, {
        PvBadge: import('vue').DefineComponent<import('vue').ExtractPropTypes<{
            value: {
                type: PropType<import('../types/global').DistributionFormat>;
                default: null;
            };
        }>, {}, {}, {}, {}, import('vue').ComponentOptionsMixin, import('vue').ComponentOptionsMixin, {}, string, import('vue').PublicProps, Readonly<import('vue').ExtractPropTypes<{
            value: {
                type: PropType<import('../types/global').DistributionFormat>;
                default: null;
            };
        }>> & Readonly<{}>, {
            value: import('../types/global').DistributionFormat;
        }, {}, {}, {}, string, import('vue').ComponentProvideOptions, true, {}, any>;
    }, {}, string, import('vue').ComponentProvideOptions, true, {}, any>;
}, {}, string, import('vue').ComponentProvideOptions, true, {}, any>;
export default _default;
