import { defineComponent as d, resolveComponent as p, openBlock as t, createElementBlock as r, mergeProps as u, createVNode as l, createCommentVNode as n, createTextVNode as a, toDisplayString as f } from "vue";
import "../../config/styles/variables.css.mjs";
import "../../config/styles/typography.css.mjs";
import { PhTrash as y } from "@phosphor-icons/vue";
import "./TextButtonLarge.vue2.mjs";
import m from "../../../_virtual/_plugin-vue_export-helper.mjs";
const b = d({
  name: "TextButtonLarge",
  components: {
    PhTrash: y
  },
  props: {
    buttonText: {
      type: String,
      required: !1
    },
    size: {
      type: String,
      default: "large"
    },
    iconStart: {
      type: String,
      default: null
    },
    iconEnd: {
      type: String,
      default: null
    },
    disabled: {
      type: Boolean,
      default: !1
    }
  },
  data() {
    return {
      isHovered: !1,
      isPressed: !1
    };
  },
  computed: {
    dpiV3_buttonClass() {
      const e = this.$attrs.class || "";
      return [
        "dpiV3_text-button-large",
        { "dpiV3_text-button-disabled": this.disabled },
        e
      ];
    },
    iconSizeClass() {
      return ["dpiV3_icon-large", this.$attrs.class || ""];
    },
    iconColor() {
      return this.disabled ? "#67C5F0" : this.isPressed ? "#009FE3" : this.isHovered ? "#003F6F" : "#0172AD";
    }
  },
  methods: {
    async onPress(e) {
      e.preventDefault(), this.isPressed = !0;
    },
    onKeyPress(e) {
      (e.key === "Enter" || e.key === " " || e.key === "Spacebar") && (e.preventDefault(), this.isPressed = !0);
    },
    onKeyRelease(e) {
      (e.key === "Enter" || e.key === " " || e.key === "Spacebar") && (e.preventDefault(), this.isPressed = !1, this.disabled || this.$emit("click", e));
    }
  }
}), P = ["disabled"], g = {
  key: 0,
  class: "dpiV3_icon-large"
}, C = { key: 1 }, k = {
  key: 2,
  class: "dpiV3_icon-large"
};
function V(e, s, S, $, T, K) {
  const i = p("PhTrash");
  return t(), r("button", u({
    tabindex: "0",
    class: [e.dpiV3_buttonClass, { "dpiV3_text-button-pressed": e.isPressed }],
    disabled: e.disabled,
    onMousedown: s[0] || (s[0] = (...o) => e.onPress && e.onPress(...o)),
    onMouseup: s[1] || (s[1] = (o) => e.isPressed = !1),
    onKeydown: s[2] || (s[2] = (...o) => e.onKeyPress && e.onKeyPress(...o)),
    onKeyup: s[3] || (s[3] = (...o) => e.onKeyRelease && e.onKeyRelease(...o)),
    onMouseover: s[4] || (s[4] = (o) => e.isHovered = !0),
    onMouseleave: s[5] || (s[5] = () => {
      e.isHovered = !1, e.isPressed = !1;
    })
  }, e.$attrs), [
    e.iconStart ? (t(), r("span", g, [
      l(i, {
        size: 24,
        color: e.iconColor
      }, null, 8, ["color"])
    ])) : n("", !0),
    s[6] || (s[6] = a()),
    e.buttonText ? (t(), r("span", C, f(e.buttonText), 1)) : n("", !0),
    s[7] || (s[7] = a()),
    e.iconEnd ? (t(), r("span", k, [
      l(i, {
        size: 24,
        color: e.iconColor
      }, null, 8, ["color"])
    ])) : n("", !0)
  ], 16, P);
}
const F = /* @__PURE__ */ m(b, [["render", V], ["__scopeId", "data-v-e665a2d3"]]);
export {
  F as default
};
//# sourceMappingURL=TextButtonLarge.vue.mjs.map
