import { defineComponent as $, markRaw as h, resolveComponent as f, openBlock as i, createElementBlock as o, Fragment as S, createVNode as y, withCtx as k, createElementVNode as a, renderList as D, normalizeClass as T, toDisplayString as p, createTextVNode as r, createCommentVNode as l } from "vue";
import { mapGetters as O } from "vuex";
import { useDpiStepper as I } from "../composables/useDpiStepper.mjs";
import P from "./InputPageStep.vue.mjs";
import w from "./SelectControlledGroup.vue.mjs";
import { useWindowScroll as F } from "../../external/@vueuse/core/index";
import V from "../../_virtual/_plugin-vue_export-helper.mjs";
const B = $({
  props: {
    name: {
      type: String,
      default: ""
    },
    index: {
      required: !0
    },
    schema: {
      required: !0,
      type: Object
    },
    context: {
      type: Object
    },
    distributionIsCollapsed: {
      type: Boolean
    },
    collapseDistributions: {
      type: Function
    },
    deleteDistribution: {
      type: Function
    }
  },
  components: {
    InputPageStep: P
  },
  data() {
    return {
      isCollapsed: !1,
      camel2title: (e) => e.replace(/([A-Z])/g, (t) => ` ${t}`).replace(/^./, (t) => t.toUpperCase()).trim(),
      isActive: !1,
      indexOfDis: 1
    };
  },
  methods: {
    editDistribution() {
      this.isCollapsed = !this.isCollapsed, this.collapseDistributions(this.index);
    },
    scrollToTop() {
      let { x: e, y: t } = F({ behavior: "smooth" });
      t.value = 0;
    },
    convertToRoman(e) {
      if (e === 1)
        return "A";
      if (e === 2)
        return "B";
      if (e === 3)
        return "C";
      if (e === 4)
        return "D";
    }
  },
  computed: {
    ...O("dpiStore", [
      "getNavSteps"
    ]),
    getName() {
      return this.name || values.Distributions.distributionList[this.name - 1].Mandatory["dcat:accessURL"][0]["@id"];
    }
  },
  watch: {
    distributionIsCollapsed: {
      handler(e) {
        this.isCollapsed = e;
      }
    }
  },
  created() {
  },
  setup() {
    const {
      steps: e,
      activeStep: t,
      visitedSteps: u,
      previousStep: b,
      nextStep: C,
      stepPlugin: g,
      goToNextStep: v,
      goToPreviousStep: c
    } = I(), m = (s) => (e[s].errorCount > 0 || e[s].blockingCount > 0) && u.value.includes(s), n = h({
      SelectControlledGroup: w
    });
    return {
      steps: e,
      visitedSteps: u,
      activeStep: t,
      previousStep: b,
      nextStep: C,
      stepPlugin: g,
      checkStepValidity: m,
      goToNextStep: v,
      goToPreviousStep: c,
      library: n
    };
  }
}), j = {
  name: "distribution-stepper",
  class: "singleDistributions"
}, K = {
  key: 0,
  class: "disInfoWrapper"
}, R = { class: "steps" }, z = ["data-step-active", "data-step-valid", "onClick"], A = { class: "stepBubbleWrap" }, L = { class: "circle stepCircle" }, M = ["textContent"], W = {
  key: 0,
  class: "seperatorHorizontalStepper"
}, q = {
  key: 1,
  class: "seperatorHorizontalStepper"
}, E = {
  key: 0,
  class: "step inactiveStep"
}, G = { class: "d-flex flex-column w-100" }, H = {
  key: 0,
  class: "p-1"
}, U = { class: "m-3 d-flex justify-content-end" };
function Z(e, t, u, b, C, g) {
  const v = f("FormKitSchema"), c = f("InputPageStep"), m = f("FormKit");
  return i(), o(S, null, [
    y(m, {
      type: "form",
      actions: !1,
      plugins: [e.stepPlugin]
    }, {
      default: k(() => [
        a("div", j, [
          e.isCollapsed ? l("", !0) : (i(), o("div", K, [
            a("ul", R, [
              (i(!0), o(S, null, D(e.steps, (n, s, d) => (i(), o("li", {
                key: d,
                class: T(["step", {
                  activeItem: e.activeStep === s,
                  inactiveStep: s != e.activeStep,
                  "has-errors": e.checkStepValidity(s)
                }]),
                "data-step-active": e.activeStep === s,
                "data-step-valid": n.valid && n.errorCount === 0,
                onClick: (J) => {
                  e.activeStep = s, e.indexOfDis = d + 1;
                }
              }, [
                a("div", A, [
                  a("div", L, p(e.convertToRoman(d + 1)), 1),
                  t[2] || (t[2] = r()),
                  e.checkStepValidity(s) ? (i(), o("span", {
                    key: 0,
                    class: "step--errors",
                    textContent: p(n.errorCount + n.blockingCount)
                  }, null, 8, M)) : l("", !0),
                  r(" " + p(e.$t("message.dataupload.steps." + s + "Step")), 1)
                ]),
                t[3] || (t[3] = r()),
                d + 1 != Object.keys(e.getNavSteps(e.$env.content.dataProviderInterface.specification).distributions).length ? (i(), o("div", W)) : l("", !0),
                t[4] || (t[4] = r()),
                e.activeStep === "overview" ? (i(), o("div", q)) : l("", !0)
              ], 10, z))), 128)),
              t[6] || (t[6] = r()),
              e.activeStep === "overview" ? (i(), o("li", E, t[5] || (t[5] = [
                a("div", { class: "circle stepCircle" }, null, -1)
              ]))) : l("", !0)
            ]),
            t[9] || (t[9] = r()),
            a("div", G, [
              (i(!0), o(S, null, D(e.getNavSteps(e.$env.content.dataProviderInterface.specification).distributions, (n, s) => (i(), o("div", { key: s }, [
                y(c, { name: n }, {
                  default: k(() => [
                    y(v, {
                      schema: e.schema[n],
                      library: e.library
                    }, null, 8, ["schema", "library"]),
                    t[8] || (t[8] = r()),
                    n === "Mandatory" ? (i(), o("p", H, [
                      t[7] || (t[7] = a("b", null, "*", -1)),
                      r(" " + p(e.$t("message.dataupload.steps.MandatoryStep")), 1)
                    ])) : l("", !0)
                  ]),
                  _: 2
                }, 1032, ["name"])
              ]))), 128))
            ])
          ]))
        ])
      ]),
      _: 1
    }, 8, ["plugins"]),
    t[11] || (t[11] = r()),
    a("div", U, [
      e.indexOfDis > 1 ? (i(), o("button", {
        key: 0,
        type: "button",
        class: "btn btn-secondary",
        onClick: t[0] || (t[0] = (n) => {
          e.goToPreviousStep(), e.scrollToTop(), e.indexOfDis = e.indexOfDis - 1;
        })
      }, p(e.$t("message.dataupload.steps.previousDisStep")), 1)) : l("", !0),
      t[10] || (t[10] = r()),
      e.indexOfDis < 4 ? (i(), o("button", {
        key: 1,
        type: "button",
        class: "btn btn-secondary ml-3",
        onClick: t[1] || (t[1] = (n) => {
          e.goToNextStep(), e.scrollToTop(), e.indexOfDis = e.indexOfDis + 1;
        })
      }, p(e.$t("message.dataupload.steps.nextDisStep")), 1)) : l("", !0)
    ])
  ], 64);
}
const te = /* @__PURE__ */ V(B, [["render", Z]]);
export {
  te as default
};
//# sourceMappingURL=DistributionStepper.vue.mjs.map
