import { mapGetters as x, mapActions as b } from "vuex";
import C from "axios";
import V from "../utils/general-helper.mjs";
import { getNode as E } from "@formkit/core";
import { reactive as O, ref as S, resolveComponent as A, openBlock as a, createElementBlock as n, Fragment as y, createElementVNode as u, createVNode as L, createTextVNode as r, toDisplayString as m, createCommentVNode as p, mergeProps as T, withDirectives as G, vModelText as P, renderList as q } from "vue";
import { onClickOutside as k } from "../../external/@vueuse/core/index";
import { useRuntimeEnv as D } from "../../composables/useRuntimeEnv.mjs";
import "@formkit/vue";
import { useI18n as N } from "vue-i18n";
import "./FileUpload.vue2.mjs";
import B from "../../_virtual/_plugin-vue_export-helper.mjs";
const H = {
  props: {
    context: {
      type: Object,
      required: !0
    }
  },
  data() {
    var l;
    return {
      inputChoice: "",
      error: "",
      URLValue: "",
      uploadURL: !1,
      uploadFileSwitch: !1,
      checkifSet: !1,
      isLoading: !1,
      success: !1,
      fail: !1,
      validExtensions: ((l = this.$env.content.dataProviderInterface.uploadFileTypes) == null ? void 0 : l.split(",")) || []
    };
  },
  computed: {
    ...x("auth", [
      "getUserData",
      "getIsEditMode"
    ]),
    ...x("dpiStore", [
      "getData"
    ]),
    getCatalogue() {
      return E("dcat:catalog").value;
    }
  },
  methods: {
    ...b("dpiStore", [
      "saveLocalstorageValues"
    ]),
    toggleUploadUrl() {
      this.inputChoice = this.t("message.dataupload.datasets.conditional.fileupload"), this.uploadURL && (this.uploadURL = !this.uploadURL);
    },
    toggleUploadFileSwitch() {
      this.inputChoice = this.t("message.dataupload.datasets.conditional.URL"), this.uploadFileSwitch && (this.uploadFileSwitch = !this.uploadFileSwitch);
    },
    validateFile(l) {
      const o = "." + l.target.files[0].name.split(".").pop().toLowerCase();
      this.validExtensions && this.validExtensions.length ? this.validExtensions.includes(o) ? this.uploadOrReplaceFile({ file: l.target.files[0] }) : console.log("Wrong filetype") : (this.error = "", this.uploadOrReplaceFile({ file: l.target.files[0] }));
    },
    async saveUrl() {
      this.URLValue.includes("http://") || this.URLValue.includes("https://") ? await this.context.node.input({ "@id": this.URLValue, mode: this.inputChoice }) : await this.context.node.input({ "@id": "https://" + this.URLValue, mode: this.inputChoice });
    },
    checkIfPresent() {
      if (this.context.value["@id"])
        return this.URLValue = this.context.value["@id"], !0;
    },
    // finds the parent input group of a given element.
    findParentInputGroupOfElement(l) {
      let e = l;
      for (; e; ) {
        if (e.classList.contains("formkit-input-group-repeatable"))
          return e;
        e = e.parentElement;
      }
      return null;
    },
    // finds the index of the distribution access URL based on the root of this component.
    findDistributionAccessUrlIndex() {
      const l = this.$refs.fileupload, e = this.findParentInputGroupOfElement(l);
      if (!e)
        return null;
      const s = e.parentElement.querySelectorAll(".formkit-input-group-repeatable");
      return Array.from(s).indexOf(e);
    },
    async uploadOrReplaceFile({ file: l }) {
      var s, t, d, c, i, f, v;
      const e = ((d = (t = (s = this.$env) == null ? void 0 : s.content) == null ? void 0 : t.dataProviderInterface) == null ? void 0 : d.enableFileUploadReplace) || !1, o = ((c = this.$route.query) == null ? void 0 : c.edit) ?? !1;
      if (e && o) {
        const w = (i = this.$route.query) == null ? void 0 : i.edit, I = this.findDistributionAccessUrlIndex(), h = (f = this.getData("distributions")) == null ? void 0 : f[w], g = (v = h == null ? void 0 : h["dcat:accessURL"]) == null ? void 0 : v[I], U = g == null ? void 0 : g["@id"];
        if (U) {
          const R = this.$env.api.fileUploadUrl, F = V.getFileIdByAccessUrl({ accessUrl: U, fileUploadUrl: R });
          return await this.uploadFile(l, {
            method: "PUT",
            url: `${this.$env.api.fileUploadUrl}data/${F}?catalog=${this.getCatalogue}`
          });
        }
      }
      return await this.uploadFile(l);
    },
    async uploadFile(l, e = {}) {
      this.isLoading = !0;
      const o = new FormData();
      o.append("file", l);
      const s = this.getCatalogue, t = this.getUserData.rtpToken, d = {
        method: "POST",
        url: `${this.$env.api.fileUploadUrl}data?catalog=${s}`,
        ...e
      }, c = {
        method: d.method,
        url: d.url,
        headers: {
          "Content-Type": "multipart/form-data",
          Authorization: `Bearer ${t}`
        },
        data: o
      };
      try {
        const i = await C.request(c), f = i.data.result.location.substring(i.data.result.location.indexOf("/") + 1);
        this.context.model = `${this.$env.api.fileUploadUrl}${f}`, this.isLoading = !1, this.success = !0, await this.context.node.input({ "@id": `${this.$env.api.fileUploadUrl}${f}` });
      } catch (i) {
        this.isLoading = !1, this.fail = !0, console.error(i);
      }
    }
  },
  mounted() {
    this.$nextTick(function() {
      if (this.context.value["@id"])
        return this.uploadURL = !0, this.URLValue = this.context.value["@id"], this.inputChoice = "Provide an URL", !0;
    });
  },
  setup() {
    const { t: l } = N();
    D();
    var e = O({
      active: !1
    });
    const o = S("fload");
    k(o, (t) => {
      e.active = !1;
    });
    function s(t) {
      e.active = !e.active;
    }
    return {
      drop: e,
      onClickOutside: k,
      triggerDropdown: s,
      t: l
    };
  }
}, K = { class: "position-relative w-100" }, M = {
  key: 0,
  ref: "fLoad",
  class: "selectListUpload fileuploadList"
}, W = {
  key: 0,
  class: "w-100 position-relative"
}, j = ["data-type"], z = { class: "file-div position-relative" }, J = ["accept"], Q = {
  class: "upload-feedback position-absolute d-flex",
  style: { right: "0" }
}, X = {
  key: 0,
  class: "lds-ring"
}, Y = { key: 1 }, Z = { key: 2 }, _ = {
  key: 0,
  class: "dURLText my-3"
}, $ = ["href"], ee = {
  key: 1,
  class: "allowedTypesWrapper"
}, te = {
  key: 0,
  class: "errorSub my-3 d-flex"
}, ie = { class: "d-flex flex-wrap w-100" };
function le(l, e, o, s, t, d) {
  const c = A("FormKit");
  return a(), n(y, null, [
    u("div", K, [
      L(c, {
        name: "mode",
        validation: "required",
        type: "text",
        class: "selectInputField formkit-inner",
        readonly: "readonly",
        onClick: e[0] || (e[0] = (i) => s.triggerDropdown()),
        placeholder: s.t("message.dataupload.info.preferredInput"),
        modelValue: t.inputChoice,
        "onUpdate:modelValue": e[1] || (e[1] = (i) => t.inputChoice = i),
        "validation-messages": {
          required: s.t("message.dataupload.info.preferredInput")
        }
      }, null, 8, ["placeholder", "modelValue", "validation-messages"]),
      e[9] || (e[9] = r()),
      s.drop.active ? (a(), n("ul", M, [
        u("li", {
          onClick: e[2] || (e[2] = (i) => {
            t.uploadFileSwitch = !0, d.toggleUploadUrl();
          }),
          class: "p-2 border-b border-gray-200 data-[selected=true]:bg-blue-100 choosableItemsAC"
        }, m(l.$t("message.dataupload.datasets.conditional.fileupload")), 1),
        e[8] || (e[8] = r()),
        u("li", {
          onClick: e[3] || (e[3] = (i) => {
            t.uploadURL = !0, d.toggleUploadFileSwitch();
          }),
          class: "p-2 border-b border-gray-200 data-[selected=true]:bg-blue-100 choosableItemsAC"
        }, m(l.$t("message.dataupload.datasets.conditional.URL")), 1)
      ], 512)) : p("", !0)
    ]),
    e[19] || (e[19] = r()),
    t.uploadURL && !t.uploadFileSwitch ? (a(), n("div", W, [
      L(c, {
        id: "aUrlLink",
        modelValue: t.URLValue,
        "onUpdate:modelValue": e[4] || (e[4] = (i) => t.URLValue = i),
        class: "selectInputField formkit-inner",
        type: "url",
        name: "@id",
        placeholder: o.context.attrs.placeholder,
        onInput: d.saveUrl,
        validation: "required|url",
        "validation-visibility": "live",
        "validation-messages": {
          required: s.t("message.dataupload.datasets.conditional.URL"),
          url: s.t("message.dataupload.info.urlFormat")
        }
      }, null, 8, ["modelValue", "placeholder", "onInput", "validation-messages"])
    ])) : p("", !0),
    e[20] || (e[20] = r()),
    t.uploadFileSwitch ? (a(), n("div", T({
      key: 1,
      ref: "fileupload",
      class: ["p-3 w-100", `formkit-input-element formkit-input-element--${o.context.type}`],
      "data-type": o.context.type
    }, l.$attrs), [
      G(u("input", {
        type: "text",
        "onUpdate:modelValue": e[5] || (e[5] = (i) => o.context.model = i),
        onBlur: e[6] || (e[6] = (...i) => o.context.blurHandler && o.context.blurHandler(...i)),
        hidden: ""
      }, null, 544), [
        [P, o.context.model]
      ]),
      e[16] || (e[16] = r()),
      u("div", z, [
        u("input", {
          class: "mt-3",
          type: "file",
          id: "aUrlFL",
          name: "fileUpload",
          onChange: e[7] || (e[7] = (i) => d.validateFile(i)),
          accept: t.validExtensions
        }, null, 40, J),
        e[14] || (e[14] = r()),
        u("div", Q, [
          t.isLoading ? (a(), n("div", X)) : p("", !0),
          e[12] || (e[12] = r()),
          t.success ? (a(), n("div", Y, e[10] || (e[10] = [
            u("i", { class: "material-icons d-flex check-icon" }, "check_circle", -1)
          ]))) : p("", !0),
          e[13] || (e[13] = r()),
          t.fail ? (a(), n("div", Z, e[11] || (e[11] = [
            u("i", { class: "material-icons d-flex close-icon" }, "error", -1)
          ]))) : p("", !0)
        ])
      ]),
      e[17] || (e[17] = r()),
      t.success ? (a(), n("p", _, [
        r(m(l.$t("message.metadata.downloadUrl")) + ": ", 1),
        u("a", {
          href: o.context.model
        }, m(o.context.model), 9, $)
      ])) : p("", !0),
      e[18] || (e[18] = r()),
      t.validExtensions && t.validExtensions.length ? (a(), n("div", ee, [
        t.success ? p("", !0) : (a(), n("p", te, "Allowed types: ")),
        e[15] || (e[15] = r()),
        u("div", ie, [
          (a(!0), n(y, null, q(t.validExtensions, (i) => (a(), n("span", {
            key: i,
            class: "mr-1 mb-1 allowedFTypes"
          }, m(i), 1))), 128))
        ])
      ])) : p("", !0)
    ], 16, j)) : p("", !0)
  ], 64);
}
const he = /* @__PURE__ */ B(H, [["render", le], ["__scopeId", "data-v-a011305e"]]);
export {
  he as default
};
//# sourceMappingURL=FileUpload.vue.mjs.map
