import { InjectionKey } from 'vue';
import { ComputedDpiContext } from './useDpiContext';
import { ResolvedConfig } from '../../configurations/config-schema';

export interface AutocompleteInstance {
    requestFirstEntrySuggestions(voc: string, base: string): Promise<any>;
    requestAutocompleteSuggestions(options: {
        voc: string;
        text: string;
        base: string;
    }): Promise<any>;
    requestResourceName(options: {
        voc: string;
        uri: string;
        envs: any;
    }): Promise<any>;
}
export interface AutocompleteOptions {
    name: string;
    adapter: AutocompleteInstance;
}
export declare const autocompleteKey: InjectionKey<AutocompleteInstance>;
export declare function defaultAutocompleteAdapter(options: {
    envs: ResolvedConfig;
    dpiContext: ComputedDpiContext;
}): AutocompleteOptions;
export declare function useAutocomplete(): AutocompleteInstance;
