import R from "./PropertyEntry.vue.mjs";
import L from "./DistributionOverview.vue.mjs";
import { mapGetters as I } from "vuex";
import U from "axios";
import { resolveComponent as b, openBlock as o, createElementBlock as r, createElementVNode as a, toDisplayString as i, createTextVNode as l, createVNode as p, Fragment as v, renderList as y, createCommentVNode as m } from "vue";
import "./DatasetOverview.vue2.mjs";
import w from "../../../_virtual/_plugin-vue_export-helper.mjs";
const P = {
  data() {
    return {
      values: [],
      pageLoaded: !1,
      tableProperties: {
        "dct:publisher": { type: "special", voc: "corporate-body", label: "message.metadata.publisher" },
        "dcat:contactPoint": { type: "special", voc: "", label: "message.metadata.contactPoints" },
        "dct:creator": { type: "special", voc: "", label: "message.metadata.creator" },
        // 'dct:issued': { type: 'date', label: 'message.metadata.created' },
        // 'dct:modified': { type: 'date', label: 'message.metadata.updated' },
        "dct:language": { type: "multiURI", voc: "language", label: "message.metadata.languages" },
        "dct:subject": { type: "multiURI", voc: "eurovoc", label: "message.dataupload.datasets.subject.label" },
        "dcat:theme": { type: "multiURI", voc: "data-theme", label: "message.dataupload.datasets.theme.label" },
        "dct:type": { type: "singularURI", voc: "dataset-type", label: "message.metadata.type" },
        "dct:source": { type: "multiURL", voc: "", label: "message.metadata.sources" },
        "dct:identifier": { type: "multiString", voc: "", label: "message.metadata.identifiers" },
        "adms:identifier": { type: "special", voc: "", label: "message.metadata.otherIdentifiers" },
        "foaf:page": { type: "special", voc: "", label: "message.dataupload.datasets.page.label" },
        "dcat:landingPage": { type: "multiURL", voc: "", label: "message.metadata.landingPage" },
        "dct:provenance": { type: "multiString", voc: "", label: "message.metadata.provenances" },
        "dct:accrualPeriodicity": { type: "singularURI", voc: "frequency", label: "message.metadata.accrualPeriodicity" },
        "dct:accessRights": { type: "singularURI", voc: "access-right", label: "message.metadata.accessRights" },
        "dct:conformsTo": { type: "special", voc: "", label: "message.metadata.conformsTo" },
        "dct:relation": { type: "multiURL", voc: "", label: "message.dataupload.datasets.relation.label" },
        "dcat:qualifiedRelation": { type: "multiURL", voc: "", label: "message.dataupload.datasets.qualifiedRelation.label" },
        "prov:qualifiedAttribution": { type: "multiURL", voc: "", label: "message.dataupload.datasets.qualifiedAttribution.label" },
        "dct:spatial": { type: "multiURI", voc: "", label: "message.metadata.spatial" },
        "dcat:spatialResolutionInMeters": { type: "singularString", voc: "", label: "message.dataupload.datasets.spatialResolutionInMeters.label" },
        "dct:temporal": { type: "special", voc: "", label: "message.metadata.temporal" },
        "dcat:temporalResolution": { type: "special", voc: "", label: "message.dataupload.datasets.temporalResolution.label" },
        "dct:isReferencedBy": { type: "multiURL", voc: "", label: "message.dataupload.datasets.isReferencedBy.label" },
        "prov:wasGeneratedBy": { type: "multiURL", voc: "", label: "message.dataupload.datasets.wasGeneratedBy.label" },
        "dct:isVersionOf": { type: "multiURL", voc: "", label: "message.metadata.isVersionOf" },
        "dext:metadataExtension": { type: "multiURL", voc: "", label: "message.dataupload.datasets.isUsedBy.label" },
        "dct:hasVersion": { type: "multiURL", voc: "", label: "message.metadata.hasVersion" },
        "owl:versionInfo": { type: "singularString", voc: "", label: "message.metadata.versionInfo" },
        "adms:versionNotes": { type: "multiLingual", voc: "", label: "message.metadata.versionNotes" },
        "dcatde:qualityProcessURI": { type: "singularURI", voc: "", label: "message.dataupload.datasets.qualityProcessURI.label" },
        "dct:references": { type: "singularURI", voc: "", label: "message.dataupload.datasets.references.label" },
        "dcatde:legalBasis": { type: "multiLingual", voc: "", label: "message.dataupload.datasets.legalBasis.label" },
        "dct:contributor": { type: "special", voc: "", label: "message.dataupload.datasets.contributor.label" },
        "dcatde:contributorID": { type: "multiURI", voc: "contributors", label: "message.dataupload.datasets.contributorID.label" },
        "dcatde:originator": { type: "special", voc: "", label: "message.dataupload.datasets.originator.label" },
        "dcatde:maintainer": { type: "special", voc: "", label: "message.dataupload.datasets.maintainer.label" },
        "dcatap:availability": { type: "singularURI", voc: "planned-availability", label: "message.dataupload.datasets.availabilityDE.label" },
        "dcatde:geocodingDescription": { type: "multiLingual", voc: "", label: "message.dataupload.datasets.geocodingDescription.label" },
        "dcatde:politicalGeocodingLevelURI": { type: "multiURI", voc: "", label: "message.dataupload.datasets.politicalGeocodingLevelURI.label" },
        "dcatde:politicalGeocodingURI": { type: "multiURI", voc: "political-geocoding-level", label: "message.dataupload.datasets.politicalGeocodingURI.label" }
      }
    };
  },
  props: {
    dpiLocale: String
  },
  components: {
    PropertyEntry: R,
    DistributionOverview: L
  },
  computed: {
    ...I("dpiStore", [
      "getData"
    ]),
    getDatasets() {
      return this.values;
    },
    getDistributions() {
      return this.getDatasets.distributionList || [];
    },
    showTable() {
      return Object.keys(this.tableProperties).filter((t) => this.getDatasets[t]).length > 0;
    },
    storeData() {
      return this.getData("datasets");
    },
    getTitle() {
      return this.getDatasets["dct:title"] && this.getDatasets["dct:title"].filter((t) => t["@language"] === this.dpiLocale).map((t) => t["@value"])[0];
    },
    getDescription() {
      return this.getDatasets["dct:description"] && this.getDatasets["dct:description"].filter((t) => t["@language"] === this.dpiLocale).map((t) => t["@value"])[0];
    }
  },
  methods: {
    checkIfPropertySet(t, e) {
      return t[e] != null ? t[e] : "-";
    },
    getDate(t) {
      if (!(t instanceof Date) || isNaN(t.getTime()))
        return "-";
      let e = {};
      return this.dpiLocale === "de" ? (e = { year: "numeric", month: "long", day: "numeric" }, t.toLocaleDateString("de-DE", e)) : (e = { year: "numeric", month: "long", day: "numeric" }, t.toLocaleDateString("en-EN", e));
    },
    checkIfPropertyValueSet(t, e, d) {
      return t[e] != null && t[e][d] != null ? t[e][d] : "-";
    },
    async reqName(t) {
      let e = t.split("/"), d = `${this.$env.api.baseUrl}vocabularies/${e[e.length - 2]}/${e[e.length - 1]}`;
      return (await U.get(d)).data.result.pref_label[this.dpiLocale];
    }
  },
  async mounted() {
    this.$nextTick(() => {
      this.pageLoaded = !0, this.values = this.getData("datasets");
    });
  },
  watch: {
    storeData(t, e) {
      this.values = t;
    }
  }
}, k = {
  key: 0,
  class: "mt-2"
}, _ = { class: "overviewHeader p-3" }, S = { class: "firstRow d-flex" }, V = { class: "datasetNotation dsd-title-tag d-flex align-items-center" }, N = { class: "dsTitle" }, x = { class: "secondRow d-flex justify-content-between" }, q = { class: "dsCatalogue" }, B = { href: "" }, E = { class: "dsPublisher" }, O = { class: "dsIssued" }, T = { class: "dsUpdated" }, G = { class: "dsMainWrap d-flex flex-column mt-3" }, j = { class: "" }, C = { class: "dsDesc px-3" }, M = { class: "" }, A = { class: "table table-borderless table-responsive bg-light disOverview p-3" }, H = {
  key: 0,
  class: "dsDist b-top p-3"
}, K = { class: "my-4" }, F = {
  key: 1,
  class: "dsKeywords b-top my-2 p-3"
}, W = { class: "my-4" }, z = { class: "d-flex" }, J = ["title"];
function Q(t, e, d, f, c, s) {
  const g = b("PropertyEntry"), h = b("DistributionOverview");
  return c.pageLoaded ? (o(), r("div", k, [
    a("div", _, [
      a("div", S, [
        a("div", V, [
          a("span", null, i(t.$te("message.metadata.dataset") ? t.$t("message.metadata.dataset") : "Dataset"), 1)
        ]),
        e[0] || (e[0] = l()),
        a("h1", N, i(s.getTitle), 1)
      ]),
      e[7] || (e[7] = l()),
      a("div", x, [
        a("div", q, [
          a("span", null, [
            a("b", null, i(t.$te("message.metadata.catalog") ? t.$t("message.metadata.catalog") : "Catalogue") + ":", 1)
          ]),
          e[1] || (e[1] = l()),
          a("a", B, i(s.checkIfPropertySet(s.getDatasets, "dcat:catalog")), 1)
        ]),
        e[4] || (e[4] = l()),
        a("div", E, [
          p(g, {
            profile: "datasets",
            data: s.getDatasets,
            property: "dct:publisher",
            value: { type: "special", voc: "corporate-body", label: "message.metadata.publisher", isHeader: !0 },
            dpiLocale: d.dpiLocale
          }, null, 8, ["data", "dpiLocale"])
        ]),
        e[5] || (e[5] = l()),
        a("div", O, [
          a("span", null, [
            a("b", null, i(t.$te("message.dataupload.datasets.issued.label") ? t.$t("message.dataupload.datasets.issued.label") : "Issued") + ":", 1)
          ]),
          e[2] || (e[2] = l()),
          a("a", null, i(s.getDate(new Date(s.checkIfPropertyValueSet(s.getDatasets, "dct:issued", "@value")))), 1)
        ]),
        e[6] || (e[6] = l()),
        a("div", T, [
          a("span", null, [
            a("b", null, i(t.$te("message.dataupload.datasets.modified.label") ? t.$t("message.dataupload.datasets.modified.label") : "Updated") + ":", 1)
          ]),
          e[3] || (e[3] = l()),
          a("a", null, i(s.getDate(new Date(s.checkIfPropertyValueSet(s.getDatasets, "dct:modified", "@value")))), 1)
        ])
      ])
    ]),
    e[12] || (e[12] = l()),
    a("div", G, [
      a("div", j, [
        a("p", C, i(s.getDescription), 1)
      ]),
      e[8] || (e[8] = l()),
      a("div", M, [
        a("table", A, [
          (o(!0), r(v, null, y(c.tableProperties, (n, u, D) => (o(), r("div", { key: D }, [
            p(g, {
              profile: "datasets",
              data: c.values,
              property: u,
              value: n,
              dpiLocale: d.dpiLocale
            }, null, 8, ["data", "property", "value", "dpiLocale"])
          ]))), 128))
        ])
      ])
    ]),
    e[13] || (e[13] = l()),
    s.getDistributions.length > 0 ? (o(), r("div", H, [
      a("h2", K, i(t.$t("message.metadata.distributions")) + " (" + i(s.getDistributions.length) + ")", 1),
      e[9] || (e[9] = l()),
      p(h, {
        dpiLocale: d.dpiLocale,
        distributions: s.getDistributions
      }, null, 8, ["dpiLocale", "distributions"])
    ])) : m("", !0),
    e[14] || (e[14] = l()),
    s.getDatasets["dct:keyword"] != null && s.getDatasets["dct:keyword"][0]["@value"] != null && s.getDatasets["dct:keyword"].length > 0 ? (o(), r("div", F, [
      a("h2", W, [
        e[10] || (e[10] = l("Keywords ")),
        a("span", null, "(" + i(s.getDatasets["dct:keyword"].length) + ")", 1)
      ]),
      e[11] || (e[11] = l()),
      a("div", z, [
        (o(!0), r(v, null, y(s.getDatasets["dct:keyword"].filter((n) => n["@language"] === d.dpiLocale), (n, u) => (o(), r("span", {
          class: "mx-1",
          key: u
        }, [
          a("small", {
            title: n,
            class: "d-inline-block w-100 p-2 ml-1 rounded-pill text-center text-white text-truncate bg-primary"
          }, i(n["@value"]), 9, J)
        ]))), 128))
      ])
    ])) : m("", !0)
  ])) : m("", !0);
}
const se = /* @__PURE__ */ w(P, [["render", Q]]);
export {
  se as default
};
//# sourceMappingURL=DatasetOverview.vue.mjs.map
