import "vuex";
import { getTranslationFor as f } from "../../../../utils/helpers.mjs";
import p from "../../../utils/general-helper.mjs";
import "../../../config/dcatapdeODB/page-content-config.mjs";
import "../../../config/dcatapdeODB/input-definition.mjs";
import "../../../config/dcatapdeODB/prefixes.mjs";
import "../../../config/dcatapdeODB/format-types.mjs";
import "../../../config/dcatapdeODB/vocab-prefixes.mjs";
import "../../../config/dcatapdeHappyFlow/prefixes.mjs";
import "../../../config/dcatapdeHappyFlow/format-types.mjs";
import "../../../config/dcatapdeHappyFlow/vocab-prefixes.mjs";
import { useDpiContext as h } from "../../../composables/useDpiContext.mjs";
import { useAutocomplete as g } from "../../../composables/aucotomplete.mjs";
import { openBlock as i, createElementBlock as l, Fragment as c, toDisplayString as u, createCommentVNode as d, createTextVNode as m, normalizeClass as v, renderList as b } from "vue";
import "./URIProp.vue2.mjs";
import U from "../../../../_virtual/_plugin-vue_export-helper.mjs";
const R = {
  data() {
    return {
      nameOfProperty: "Unchanged Value",
      namesOfMulti: []
    };
  },
  props: {
    property: String,
    value: Object,
    data: Object,
    inHeader: String
  },
  methods: {
    trimString(r, t) {
      return r.length > t ? r.slice(0, t) + "..." : r;
    },
    getTranslationFor: f,
    async requestURILabel(r, t) {
      const e = this.$env;
      if (t != null) {
        let o = this.voc === "iana-media-types" || this.voc === "spdx-checksum-algorithm", a;
        return await this.requestResourceName({ voc: r, uri: t, envs: e }).then(
          (n) => {
            this.property === "dcatde:politicalGeocodingURI" ? n != null && (a = o ? n.data.result.results.filter((s) => s.resource === t).map((s) => s.alt_label)[0].en : f(n.data.result.alt_label, this.$i18n.locale, [])) : n != null && (a = o ? n.data.result.results.filter((s) => s.resource === t).map((s) => s.pref_label)[0].en : f(n.data.result.pref_label, this.$i18n.locale, []));
          }
        ), a;
      }
    }
  },
  async created() {
    try {
      if (this.value.type === "singularURI")
        typeof this.data[this.property] != "string" && (this.nameOfProperty = await this.getURILabel(this.data[this.property]));
      else if (this.value.type === "multiURI")
        for (let r = 0; r < this.data[this.property].length; r++)
          this.data[this.property][r].name = await this.getURILabel(this.data[this.property][r]);
      else
        this.value.type === "special" && (this.nameOfProperty = await this.getURILabel(this.data[this.property]));
    } catch (r) {
      console.warn(r);
    }
  },
  setup() {
    const { requestResourceName: r } = g(), t = h();
    async function e(o) {
      if (p.isUrl(o.name)) {
        const a = t.value.specification.vocabPrefixes, n = Object.keys(a).find((y) => o.name.includes(y));
        return await this.requestURILabel(n, o.name);
      } else
        return o.name;
    }
    return {
      requestResourceName: r,
      getURILabel: e
    };
  }
}, k = {
  key: 0,
  class: "font-weight-bold"
}, I = {
  key: 1,
  class: ""
}, O = {
  key: 2,
  class: ""
}, P = {
  key: 4,
  class: "flex-wrap d-flex multiURI"
}, w = {
  key: 5,
  class: "font-weight-bold"
}, _ = {
  key: 6,
  class: ""
}, x = {
  key: 7,
  class: ""
};
function H(r, t, e, o, a, n) {
  return i(), l(c, null, [
    e.value.type !== "special" && e.inHeader != !0 ? (i(), l("td", k, u(r.$t(`${e.value.label}`)) + `:
  `, 1)) : d("", !0),
    t[0] || (t[0] = m()),
    e.value.type === "singularURI" && typeof e.data[e.property] == "string" ? (i(), l("td", I, u(e.data[e.property]), 1)) : d("", !0),
    t[1] || (t[1] = m()),
    Object.keys(e.data[e.property]).length === 1 && e.value.type === "singularURI" ? (i(), l("td", O, u(e.data[e.property][0]["@id"]), 1)) : d("", !0),
    t[2] || (t[2] = m()),
    e.value.type === "singularURI" && typeof e.data[e.property] != "string" && Object.keys(e.data[e.property]).length > 1 ? (i(), l("td", {
      key: 3,
      class: v({ "p-0": e.inHeader })
    }, u(a.nameOfProperty), 3)) : d("", !0),
    t[3] || (t[3] = m()),
    e.value.type === "multiURI" ? (i(), l("td", P, [
      (i(!0), l(c, null, b(e.data[e.property], (y, s) => (i(), l("div", {
        key: s,
        class: "border shadow-sm p-2 mb-1 mr-1"
      }, u(y.name), 1))), 128))
    ])) : d("", !0),
    t[4] || (t[4] = m()),
    e.value.type === "special" && a.nameOfProperty != "Unchanged Value" ? (i(), l("td", w, u(r.$t(`${e.value.label}`)) + ":", 1)) : d("", !0),
    t[5] || (t[5] = m()),
    e.value.type === "special" && a.nameOfProperty != "Unchanged Value" && e.value.isHeader != !0 ? (i(), l("td", _, u(a.nameOfProperty), 1)) : d("", !0),
    t[6] || (t[6] = m()),
    e.value.type === "special" && a.nameOfProperty != "Unchanged Value" && e.value.isHeader === !0 ? (i(), l("td", x, u(n.trimString(a.nameOfProperty, 35)), 1)) : d("", !0)
  ], 64);
}
const J = /* @__PURE__ */ U(R, [["render", H]]);
export {
  J as default
};
//# sourceMappingURL=URIProp.vue.mjs.map
