import { marked as l } from "marked";
import n from "dompurify";
import { openBlock as o, createElementBlock as d, renderSlot as a, createTextVNode as s, createBlock as m, resolveDynamicComponent as p } from "vue";
import "./AppMarkdownContent.vue2.mjs";
import u from "../_virtual/_plugin-vue_export-helper.mjs";
n.setConfig({
  // By using HTML profile, forbid SVG and MathML
  USE_PROFILES: { html: !0 },
  FORBID_TAGS: ["img"],
  FORBID_ATTR: ["style", "class"]
});
n.addHook("uponSanitizeElement", (t) => {
  const { tagName: e } = t;
  if (e && e.toLowerCase() === "h1") {
    const r = document.createElement("h2");
    r.innerHTML = t.innerHTML, t.parentNode.replaceChild(r, t);
  }
});
n.addHook("afterSanitizeAttributes", (t) => {
  "target" in t && (t.setAttribute("target", "_blank"), t.setAttribute("rel", "noopener noreferrer")), !t.hasAttribute("target") && (t.hasAttribute("xlink:href") || t.hasAttribute("href")) && t.setAttribute("xlink:show", "new");
});
const f = {
  name: "AppMarkdownContent",
  props: {
    /**
     * Tag of resulting markdown content container
     */
    tag: {
      type: String,
      default: "div"
    },
    /**
     * Input text to be interpreted
     */
    text: {
      type: String,
      default: ""
    }
  },
  computed: {
    interpretedMarkdownText() {
      return n.sanitize(
        l.parse(this.text.trim(), { smartLists: !0 })
      );
    }
  }
}, c = { class: "markdown-container" };
function k(t, e, r, h, A, i) {
  return o(), d("div", c, [
    a(t.$slots, "before", {}, void 0, !0),
    e[0] || (e[0] = s()),
    a(t.$slots, "default", { html: i.interpretedMarkdownText }, () => [
      (o(), m(p(r.tag), {
        class: "markdown-content",
        innerHTML: i.interpretedMarkdownText
      }, null, 8, ["innerHTML"]))
    ], !0),
    e[1] || (e[1] = s()),
    a(t.$slots, "after", {}, void 0, !0)
  ]);
}
const _ = /* @__PURE__ */ u(f, [["render", k], ["__scopeId", "data-v-0e90c0a1"]]);
export {
  _ as default
};
//# sourceMappingURL=AppMarkdownContent.vue.mjs.map
