import h from "./AppMarkdownContent.vue.mjs";
import _ from "../mixins/filters.mjs";
import { getTranslationFor as T, truncate as u } from "../utils/helpers.mjs";
import { mapGetters as A, mapActions as I } from "vuex";
import f from "./DatasetDetailsBanners.vue.mjs";
import { resolveComponent as r, openBlock as a, createElementBlock as n, createBlock as c, createElementVNode as d, toDisplayString as p, createTextVNode as l, createCommentVNode as E, createVNode as N } from "vue";
import "./DatasetDetailsDescription.vue2.mjs";
import L from "../_virtual/_plugin-vue_export-helper.mjs";
const w = {
  name: "DatasetDetailsDescription",
  components: { AppMarkdownContent: h, DatasetDetailsBanners: f },
  mixins: [_],
  props: {
    dateIncorrect: Boolean,
    machineTranslated: Boolean,
    translationNotAvailable: Boolean
  },
  data() {
    return {
      isDatasetDescriptionExpanded: !1,
      datasetDescriptionLength: 1500,
      INITIAL_DATASET_DESCRIPTION_LENGTH: 1500,
      MAX_DATASET_DESCRIPTION_LENGTH: 1e5
    };
  },
  computed: {
    ...A("datasetDetails", [
      "getDescription",
      "getLanguages"
    ]),
    getDatasetDescription() {
      return T(this.getDescription, this.$route.query.locale, this.getLanguages);
    },
    getDatasetDescriptionLength() {
      return this.getDatasetDescription ? this.getDatasetDescription.length : 0;
    }
  },
  methods: {
    ...I("datasetDetails", [
      "setDatasetDescriptionHeight"
    ]),
    truncate: u,
    toggleDatasetDescription() {
      this.isDatasetDescriptionExpanded = !this.isDatasetDescriptionExpanded, this.datasetDescriptionLength === this.INITIAL_DATASET_DESCRIPTION_LENGTH ? this.datasetDescriptionLength = this.MAX_DATASET_DESCRIPTION_LENGTH : this.datasetDescriptionLength = this.INITIAL_DATASET_DESCRIPTION_LENGTH;
    },
    calculateDatasetDescriptionHeight() {
      return this.$refs.datasetDescription.querySelector(".dsd-description-content").clientHeight;
    }
  },
  mounted() {
    this.setDatasetDescriptionHeight(this.calculateDatasetDescriptionHeight());
  }
}, b = {
  ref: "datasetDescription",
  class: "mt-4 mb-4 dsd-description",
  "data-cy": "dataset-description"
}, k = {
  key: 0,
  class: "col-12 col-lg-11 offset-lg-1 dsd-description-content",
  property: "dc:description"
}, v = {
  key: 1,
  style: { "word-wrap": "break-word" }
}, y = { class: "mr-2" }, S = {
  key: 1,
  class: "col-10 offset-1 text-muted font-italic dsd-description-content"
}, x = { style: { "word-wrap": "break-word" } };
function H(s, i, o, C, e, t) {
  const D = r("app-markdown-content"), m = r("pv-show-more"), g = r("dataset-details-banners");
  return a(), n("div", b, [
    t.getDatasetDescription !== "No description available" ? (a(), n("div", k, [
      s.$env.content.datasetDetails.description.enableMarkdownInterpretation ? (a(), c(D, {
        key: 0,
        text: t.truncate(t.getDatasetDescription, e.datasetDescriptionLength)
      }, null, 8, ["text"])) : (a(), n("p", v, [
        d("span", y, p(t.truncate(t.getDatasetDescription, e.datasetDescriptionLength) | s.stripHtml), 1)
      ])),
      i[0] || (i[0] = l()),
      e.isDatasetDescriptionExpanded || e.datasetDescriptionLength < t.getDatasetDescriptionLength ? (a(), c(m, {
        key: 2,
        label: e.isDatasetDescriptionExpanded ? s.$t("message.metadata.showLess") : s.$t("message.metadata.showMore"),
        upArrow: e.isDatasetDescriptionExpanded,
        action: t.toggleDatasetDescription,
        class: "row text-primary"
      }, null, 8, ["label", "upArrow", "action"])) : E("", !0)
    ])) : (a(), n("div", S, [
      d("p", x, p(s.$t("message.catalogsAndDatasets.noDescriptionAvailable")), 1)
    ])),
    i[1] || (i[1] = l()),
    N(g, {
      dateIncorrect: o.dateIncorrect,
      machineTranslated: o.machineTranslated,
      translationNotAvailable: o.translationNotAvailable
    }, null, 8, ["dateIncorrect", "machineTranslated", "translationNotAvailable"])
  ], 512);
}
const X = /* @__PURE__ */ L(w, [["render", H], ["__scopeId", "data-v-bdcf5d49"]]);
export {
  X as default
};
//# sourceMappingURL=DatasetDetailsDescription.vue.mjs.map
