import { mapGetters as n } from "vuex";
import { has as l } from "lodash-es";
import { getTranslationFor as d } from "../utils/helpers.mjs";
import p from "../widgets/AppLink.vue.mjs";
import { resolveComponent as m, openBlock as c, createBlock as u, withCtx as g, createElementVNode as f, toDisplayString as k, createCommentVNode as $ } from "vue";
import "./DatasetDetailsFeedbackButton.vue2.mjs";
import b from "../_virtual/_plugin-vue_export-helper.mjs";
const h = {
  name: "DEU-datasetDetailsFeedbackButton",
  components: {
    appLink: p
  },
  data() {
    return {
      rootURL: "https://www.data.europa.eu/"
    };
  },
  computed: {
    // import store-getters
    ...n("datasetDetails", [
      "getID",
      "getLanguages",
      "getTitle"
    ])
  },
  methods: {
    // Lodash has function
    has: l,
    getTranslationFor: d,
    // Creates the query string for the feedback URL of the dataset
    getFeedbackQuery(e, t) {
      if (!e || !t || typeof t != "object")
        return !1;
      let a = this.getTranslationFor(t, this.$route.query.locale, this.getLanguages);
      if (!a)
        return !1;
      a = a.replace(/ /g, "+");
      const o = "question-specific-dataset", r = `${this.$t("message.datasetDetails.subnav.dataset")}+URL:+${this.rootURL}data/%23/datasets/${e}`, s = `${this.$t("message.datasetDetails.feedback")}+${this.$t("message.datasetDetails.about")}+${this.$t("message.datasetDetails.subnav.dataset")}:+${a}`;
      return `?type=${o}&description=${r}&summary=${s}`;
    }
  }
}, y = ["title"];
function D(e, t, a, o, r, s) {
  const i = m("app-link");
  return s.getFeedbackQuery(e.getID, e.getTitle) ? (c(), u(i, {
    key: 0,
    path: `/${this.$route.query.locale}/feedback/form`,
    query: s.getFeedbackQuery(e.getID, e.getTitle),
    onClick: t[0] || (t[0] = (F) => e.$emit("track-link", `/${this.$route.query.locale}/feedback/form${s.getFeedbackQuery(e.getID, e.getTitle)}`, "link")),
    target: "_blank",
    class: "nav-item nav-link underline text-nowrap dsd-link-feedback"
  }, {
    default: g(() => [
      f("span", {
        title: e.$t("message.tooltip.datasetDetails.feedback"),
        "data-toggle": "tooltip",
        "data-placement": "top"
      }, k(e.$t("message.datasetDetails.feedback")), 9, y)
    ]),
    _: 1
  }, 8, ["path", "query"])) : $("", !0);
}
const B = /* @__PURE__ */ b(h, [["render", D], ["__scopeId", "data-v-657ac3b8"]]);
export {
  B as default
};
//# sourceMappingURL=DatasetDetailsFeedbackButton.vue.mjs.map
