import f from "../../widgets/AppLink.vue.mjs";
import v from "jquery";
import { mapGetters as b } from "vuex";
import g from "axios";
import { openBlock as i, createElementBlock as r, createElementVNode as t, toDisplayString as d, createTextVNode as s, withDirectives as D, Fragment as y, renderList as C, vModelSelect as A, createCommentVNode as a, normalizeClass as x, normalizeStyle as k } from "vue";
import "./DistributionDownloadAsModal.vue2.mjs";
import U from "../../_virtual/_plugin-vue_export-helper.mjs";
const L = {
  name: "download-as-modal",
  data() {
    return {
      selected: "",
      converting: !1,
      converted: !1,
      readyForDownload: !1,
      error: !1,
      done: !1,
      progress: "0",
      downloadBtnText: "Download",
      errorMsg: "",
      source: null
    };
  },
  computed: {
    ...b("datasetDetails", [
      "getDistributionDownloadAsOptions",
      "getDistributionDownloadAs"
    ]),
    downloadOrAccessUrl() {
      return this.getDistributionDownloadAs.downloadUrls.length ? this.getDistributionDownloadAs.downloadUrls[0] : this.getDistributionDownloadAs.accessUrl.length ? this.getDistributionDownloadAs.accessUrl[0] : null;
    }
  },
  components: {
    AppLink: f
  },
  mounted() {
    this.$refs["modal-close-btn"].addEventListener("click", () => {
      this.source && this.source.cancel("Download was canceled by user");
    });
    const e = this;
    v("#downloadAsModal").on("hide.bs.modal", () => {
      e.selected = e.errorMsg = "", e.converting = e.converted = e.readyForDownload = e.error = e.done = !1, e.progress = "0", e.downloadBtnText = "Download";
    });
  },
  methods: {
    download() {
      this.error = !1;
      const o = this.getDistributionDownloadAs.downloadUrls.length, e = this.getDistributionDownloadAs.accessUrl.length;
      if (this.selected.toLowerCase() === this.getDistributionDownloadAs.format.id.toLowerCase())
        o ? (window.open(this.getDistributionDownloadAs.downloadUrls[0]), this.done = !0) : e && (window.open(this.getDistributionDownloadAs.accessUrl[0]), this.done = !0);
      else if (this.converting = !0, this.downloadBtnText = "Converting...", o || e) {
        let u = "";
        o ? u = this.getDistributionDownloadAs.downloadUrls[0] : !o && e && (u = this.getDistributionDownloadAs.accessUrl[0]), this.progress = "3" + this.randomNumber();
        const h = encodeURIComponent(`${this.$env.content.datasetDetails.downloadAs.url}/${this.getDistributionDownloadAs.format.id.toLowerCase()}/${this.selected}`), l = encodeURIComponent(u), c = g.CancelToken;
        this.source = c.source(), g({
          url: `${this.$env.content.datasetDetails.downloadAs.proxyUrl}/?uri=${h}/?url=${l}`,
          method: "GET",
          responseType: "blob",
          headers: {
            "Content-Type": "application/octet-stream; charset=UTF-8"
          },
          cancelToken: this.source.token
        }).then((n) => {
          this.progress = "8" + this.randomNumber(), this.converted = !0, this.downloadBtnText = "Downloading...", this.progress = "100", this.readyForDownload = !0;
          const m = this.$route.query.locale, p = window.URL.createObjectURL(n.data);
          let w = document.createElement("a");
          w.href = p, w.setAttribute("download", this.setFileName(m)), document.body.appendChild(w), this.done = !0, w.click();
        }).catch(async (n) => {
          console.error("Error", n), g.isCancel(n) ? console.error("Request canceled:", n.message) : (n.response && (this.errorMsg = await n.response.data.text()), this.error = !0, this.downloadBtnText = "Retry", this.converting = !1);
        });
      }
    },
    onChange() {
      this.done = this.converted = this.converting = this.readyForDownload = this.error = !1, this.downloadBtnText = "Download";
    },
    // 0 - 9
    randomNumber() {
      return Math.floor(Math.random() * 10);
    },
    setFileName(o) {
      return typeof this.getDistributionDownloadAs.title > "u" ? "file" : this.getDistributionDownloadAs.title[o] ? this.getDistributionDownloadAs.title[o].split(".")[0] + "." + this.selected : Object.values(this.getDistributionDownloadAs.title)[0].split(".")[0] + "." + this.selected;
    }
  }
}, M = {
  class: "modal fade",
  id: "downloadAsModal",
  tabindex: "-1",
  role: "dialog",
  "aria-labelledby": "downloadAsModal",
  "aria-hidden": "true",
  style: { "background-color": "rgba(0, 0, 0, 0.75)" }
}, B = {
  class: "modal-dialog modal-dialog-centered modal-lg",
  role: "document"
}, T = { class: "modal-content rounded-0" }, F = { class: "modal-header" }, _ = {
  class: "modal-title",
  id: "exampleModalLabel"
}, z = {
  ref: "modal-close-btn",
  type: "button",
  id: "modal-close-btn",
  "data-dismiss": "modal",
  class: "close",
  "aria-label": "Close"
}, N = {
  "aria-hidden": "true",
  class: "close-icon rounded-circle"
}, R = {
  xmlns: "http://www.w3.org/2000/svg",
  fill: "white",
  "xmlns:xlink": "http://www.w3.org/1999/xlink",
  height: "8",
  id: "Layer_1",
  style: { "enable-background": "new 0 0 512 512" },
  version: "1.1",
  viewBox: "0 0 512 512",
  width: "8",
  "xml:space": "preserve"
}, E = { class: "modal-body" }, O = { class: "align-items-center" }, V = { class: "ecl-form-group" }, I = { class: "ecl-select__container ecl-select__container--m" }, $ = {
  value: "",
  disabled: "",
  hidden: ""
}, j = ["value", "textContent"], q = {
  key: 0,
  class: "error mt-4"
}, H = { class: "error-body" }, S = { class: "font-weight-bold ml-3" }, Z = { class: "ml-3" }, G = { key: 1 }, P = { class: "d-flex mt-4" }, Q = { class: "m-0" }, J = { class: "font-weight-bold" }, K = {
  key: 0,
  class: "success rounded-circle"
}, W = { class: "d-flex mt-2" }, X = {
  key: 0,
  class: "success rounded-circle"
}, Y = { class: "w-100 text-right" }, ee = { class: "progress mt-2" }, te = { class: "modal-footer justify-content-start" }, se = ["textContent"], oe = {
  key: 1,
  type: "button",
  class: "ecl-button ecl-button--secondary",
  "data-dismiss": "modal",
  "aria-label": "Close"
}, le = ["href"];
function ne(o, e, u, h, l, c) {
  return i(), r("div", M, [
    t("div", B, [
      t("div", T, [
        t("div", F, [
          t("h5", _, d(o.$t("message.datasetDetails.datasets.modal.downloadAs")) + " ...", 1),
          e[4] || (e[4] = s()),
          t("button", z, [
            s(d(o.$t("message.datasetDetails.datasets.modal.close")) + " ", 1),
            t("span", N, [
              (i(), r("svg", R, e[3] || (e[3] = [
                t("path", { d: "M443.6,387.1L312.4,255.4l131.5-130c5.4-5.4,5.4-14.2,0-19.6l-37.4-37.6c-2.6-2.6-6.1-4-9.8-4c-3.7,0-7.2,1.5-9.8,4  L256,197.8L124.9,68.3c-2.6-2.6-6.1-4-9.8-4c-3.7,0-7.2,1.5-9.8,4L68,105.9c-5.4,5.4-5.4,14.2,0,19.6l131.5,130L68.4,387.1  c-2.6,2.6-4.1,6.1-4.1,9.8c0,3.7,1.4,7.2,4.1,9.8l37.4,37.6c2.7,2.7,6.2,4.1,9.8,4.1c3.5,0,7.1-1.3,9.8-4.1L256,313.1l130.7,131.1  c2.7,2.7,6.2,4.1,9.8,4.1c3.5,0,7.1-1.3,9.8-4.1l37.4-37.6c2.6-2.6,4.1-6.1,4.1-9.8C447.7,393.2,446.2,389.7,443.6,387.1z" }, null, -1)
              ])))
            ])
          ], 512)
        ]),
        e[29] || (e[29] = s()),
        t("div", E, [
          t("div", O, [
            t("div", null, [
              t("div", V, [
                t("div", I, [
                  D(t("select", {
                    "onUpdate:modelValue": e[0] || (e[0] = (n) => l.selected = n),
                    onChange: e[1] || (e[1] = (n) => c.onChange()),
                    class: "ecl-select coursor-pointer",
                    id: "select-default",
                    required: ""
                  }, [
                    t("option", $, "- " + d(o.$t("message.datasetDetails.datasets.modal.selectFileFormat")) + " -", 1),
                    e[5] || (e[5] = s()),
                    (i(!0), r(y, null, C(o.getDistributionDownloadAsOptions, (n, m) => (i(), r("option", {
                      key: m,
                      value: n,
                      textContent: d(n.toUpperCase())
                    }, null, 8, j))), 128))
                  ], 544), [
                    [A, l.selected]
                  ]),
                  e[6] || (e[6] = s()),
                  e[7] || (e[7] = t("div", { class: "ecl-select__icon" }, [
                    t("svg", {
                      xmlns: "http://www.w3.org/2000/svg",
                      "xml:space": "preserve",
                      width: "16",
                      height: "8",
                      "shape-rendering": "geometricPrecision",
                      "text-rendering": "geometricPrecision",
                      "image-rendering": "optimizeQuality",
                      "fill-rule": "evenodd",
                      "clip-rule": "evenodd",
                      viewBox: "0 0 512 298.04"
                    }, [
                      t("path", {
                        fill: "#ffffff",
                        "fill-rule": "nonzero",
                        d: "M12.08 70.78c-16.17-16.24-16.09-42.54.15-58.7 16.25-16.17 42.54-16.09 58.71.15L256 197.76 441.06 12.23c16.17-16.24 42.46-16.32 58.71-.15 16.24 16.16 16.32 42.46.15 58.7L285.27 285.96c-16.24 16.17-42.54 16.09-58.7-.15L12.08 70.78z"
                      })
                    ])
                  ], -1))
                ])
              ]),
              e[24] || (e[24] = s()),
              l.error ? (i(), r("div", q, [
                t("div", H, [
                  e[15] || (e[15] = t("svg", {
                    width: "40",
                    height: "38",
                    viewBox: "0 0 24 22",
                    fill: "none",
                    xmlns: "http://www.w3.org/2000/svg",
                    class: "warning-icon"
                  }, [
                    t("path", {
                      d: "M0 22L12 0L24 22H0ZM12 18.5263C12.3091 18.5263 12.5684 18.4152 12.7778 18.1928C12.9873 17.9705 13.0916 17.6957 13.0909 17.3684C13.0902 17.0411 12.9855 16.7663 12.7767 16.544C12.568 16.3217 12.3091 16.2105 12 16.2105C11.6909 16.2105 11.432 16.3217 11.2233 16.544C11.0145 16.7663 10.9098 17.0411 10.9091 17.3684C10.9084 17.6957 11.0131 17.9709 11.2233 18.194C11.4335 18.4171 11.6924 18.5279 12 18.5263ZM10.9091 15.0526H13.0909V9.26316H10.9091V15.0526Z",
                      fill: "#FBC712"
                    })
                  ], -1)),
                  e[16] || (e[16] = s()),
                  t("span", null, [
                    t("span", S, d(o.$t("message.datasetDetails.datasets.modal.fileConversionFail")), 1),
                    e[8] || (e[8] = s()),
                    e[9] || (e[9] = t("br", null, null, -1)),
                    e[10] || (e[10] = s()),
                    e[11] || (e[11] = t("span", { class: "ml-3" }, `
                                            
                                            The target file contains an error, which prevents the conversion.
                                        `, -1)),
                    e[12] || (e[12] = s()),
                    e[13] || (e[13] = t("div", { class: "ml-3 details" }, [
                      t("strong", null, `
                                                
                                                Details
                                            `)
                    ], -1)),
                    e[14] || (e[14] = s()),
                    t("p", Z, d(l.errorMsg), 1)
                  ])
                ])
              ])) : a("", !0),
              e[25] || (e[25] = s()),
              l.converting ? (i(), r("div", G, [
                t("div", P, [
                  t("p", Q, [
                    s("1 " + d(o.$t("message.datasetDetails.datasets.modal.fileConversionTo")) + " ", 1),
                    t("span", J, d(l.selected.toUpperCase()), 1)
                  ]),
                  e[18] || (e[18] = s()),
                  l.converted ? (i(), r("i", K, e[17] || (e[17] = [
                    t("svg", {
                      xmlns: "http://www.w3.org/2000/svg",
                      width: "16",
                      height: "16",
                      fill: "white",
                      class: "bi bi-check",
                      viewBox: "0 0 16 16"
                    }, [
                      t("path", { d: "M10.97 4.97a.75.75 0 0 1 1.07 1.05l-3.99 4.99a.75.75 0 0 1-1.08.02L4.324 8.384a.75.75 0 1 1 1.06-1.06l2.094 2.093 3.473-4.425a.267.267 0 0 1 .02-.022z" })
                    ], -1)
                  ]))) : a("", !0)
                ]),
                e[21] || (e[21] = s()),
                t("div", W, [
                  t("p", {
                    class: x([{ active: l.converted }, "m-0"]),
                    style: { color: "#A8A8A8" }
                  }, "2 " + d(o.$t("message.datasetDetails.datasets.modal.downloading")), 3),
                  e[20] || (e[20] = s()),
                  l.readyForDownload ? (i(), r("i", X, e[19] || (e[19] = [
                    t("svg", {
                      xmlns: "http://www.w3.org/2000/svg",
                      width: "16",
                      height: "16",
                      fill: "white",
                      class: "bi bi-check",
                      viewBox: "0 0 16 16"
                    }, [
                      t("path", { d: "M10.97 4.97a.75.75 0 0 1 1.07 1.05l-3.99 4.99a.75.75 0 0 1-1.08.02L4.324 8.384a.75.75 0 1 1 1.06-1.06l2.094 2.093 3.473-4.425a.267.267 0 0 1 .02-.022z" })
                    ], -1)
                  ]))) : a("", !0)
                ]),
                e[22] || (e[22] = s()),
                t("div", Y, d(this.progress + "%"), 1),
                e[23] || (e[23] = s()),
                t("div", ee, [
                  t("div", {
                    class: "progress-bar",
                    role: "progressbar",
                    style: k({ width: l.progress + "%" }),
                    "aria-valuenow": "100",
                    "aria-valuemin": "0",
                    "aria-valuemax": "100"
                  }, null, 4)
                ])
              ])) : a("", !0)
            ])
          ])
        ]),
        e[30] || (e[30] = s()),
        t("div", te, [
          l.done ? a("", !0) : (i(), r("button", {
            key: 0,
            onClick: e[2] || (e[2] = (...n) => c.download && c.download(...n)),
            type: "button",
            class: "ecl-button ecl-button--secondary",
            textContent: d(l.downloadBtnText)
          }, null, 8, se)),
          e[27] || (e[27] = s()),
          l.done ? (i(), r("button", oe, "Done")) : a("", !0),
          e[28] || (e[28] = s()),
          l.error == !0 ? (i(), r("a", {
            key: 2,
            href: c.downloadOrAccessUrl,
            target: "_blank",
            class: "ecl-button ecl-button--secondary ml-2"
          }, e[26] || (e[26] = [
            s(`
                        
                        Access source file 
                        `),
            t("i", { class: "material-icons align-middle smaller" }, "open_in_new", -1)
          ]), 8, le)) : a("", !0)
        ])
      ])
    ])
  ]);
}
const me = /* @__PURE__ */ U(L, [["render", ne], ["__scopeId", "data-v-213f8cd4"]]);
export {
  me as default
};
//# sourceMappingURL=DistributionDownloadAsModal.vue.mjs.map
