import w from "../../../widgets/Dropdown.vue.mjs";
import L from "../../../widgets/AppLink.vue.mjs";
import { has as r, isNil as l } from "lodash-es";
import { mapGetters as h } from "vuex";
import { resolveComponent as b, openBlock as d, createBlock as V, withCtx as v, createElementVNode as o, createElementBlock as k, withModifiers as D, normalizeClass as p, toDisplayString as c, createTextVNode as m, createCommentVNode as g } from "vue";
import "./DistributionOptionsDropdown.vue2.mjs";
import C from "../../../_virtual/_plugin-vue_export-helper.mjs";
const U = {
  name: "DistributionOptionsDropdown",
  components: {
    Dropdown: w,
    AppLink: L
  },
  props: [
    "showTooltipVisualiseButton",
    "isUrlInvalid",
    "getVisualisationLink",
    "distribution",
    "openIfValidUrl",
    "previewLinkCallback"
  ],
  data() {
    var t, i, e;
    return {
      visualisationLinkFormats: [
        "csv",
        "xlsx",
        "xls"
      ],
      geoLinkFormats: {
        wms: "WMS",
        geojson: "GeoJSON",
        fiware_cb: "fiware_cb",
        "fiware-cb": "fiware_cb"
      },
      geoLink: (e = (i = (t = this.$env) == null ? void 0 : t.datasetDetails) == null ? void 0 : i.distributions) == null ? void 0 : e.geoLink
    };
  },
  computed: {
    ...h("datasetDetails", [
      "getCatalog",
      "getID"
    ]),
    getGeoLink() {
      var e;
      let i = this.distribution.format.label.toLowerCase();
      if (i = this.geoLinkFormats[i], this.geoLink) {
        const a = {
          catalog: this.getCatalog.id,
          dataset: this.getID,
          distribution: this.distribution.id,
          type: i,
          lang: this.$route.query.locale,
          accessUrl: (e = this.distribution) == null ? void 0 : e.accessUrl[0]
        };
        for (let s in a)
          this.geoLink = this.geoLink.replace(`{${s}}`, a[s]);
        return this.geoLink;
      }
      return `/geo-viewer/?catalog=${this.getCatalog.id}&dataset=${this.getID}&distribution=${this.distribution.id}&type=${i}&lang=${this.$route.query.locale}`;
    }
  },
  methods: {
    showOptionsDropdown(t) {
      return this.showVisualisationLink(t) || this.showGeoLink(t);
    },
    showGeoLink(t) {
      if (!r(t, "format.label") || l(t.format.label) || !r(t, "id") || l(t.id) || !r(t, "accessUrl[0]"))
        return !1;
      const i = t.format.label.toLowerCase();
      return Object.keys(this.geoLinkFormats).includes(i);
    },
    showVisualisationLink(t) {
      var e, a, s;
      if (!r(t, "format.label") || l((e = t == null ? void 0 : t.format) == null ? void 0 : e.label) || l(t == null ? void 0 : t.downloadUrls[0]) && l(t == null ? void 0 : t.accessUrl[0]))
        return !1;
      const i = (s = (a = t == null ? void 0 : t.format) == null ? void 0 : a.id) == null ? void 0 : s.toLowerCase();
      return i && this.visualisationLinkFormats.includes(i);
    }
  }
}, _ = ["title"], y = ["href"], I = ["disabled"], x = { class: "px-2" }, G = ["href"], O = { class: "px-2" };
function B(t, i, e, a, s, n) {
  const u = b("dropdown");
  return n.showOptionsDropdown(e.distribution) ? (d(), V(u, {
    key: 0,
    title: t.$t("message.tooltip.datasetDetails.distributions.options"),
    message: t.$t("message.datasetDetails.options"),
    bgLight: "true"
  }, {
    default: v(() => [
      o("span", {
        "data-toggle": "tooltip",
        "data-placement": "top",
        title: e.showTooltipVisualiseButton(e.isUrlInvalid(e.getVisualisationLink(e.distribution)))
      }, [
        n.showVisualisationLink(e.distribution) ? (d(), k("a", {
          key: 0,
          onClick: i[0] || (i[0] = D((f) => e.openIfValidUrl(!e.isUrlInvalid(e.getVisualisationLink(e.distribution)), e.previewLinkCallback, e.distribution, f), ["prevent"])),
          class: p([{ disabled: e.isUrlInvalid(e.getVisualisationLink(e.distribution)) }, "dropdown-item px-3 d-flex justify-content-end align-items-center"]),
          ref: "previewLink",
          href: e.getVisualisationLink(e.distribution),
          target: "_blank"
        }, [
          o("button", {
            role: "button",
            class: "border-0 bg-transparent button",
            disabled: e.isUrlInvalid(e.getVisualisationLink(e.distribution))
          }, [
            o("small", x, c(t.$t("message.datasetDetails.preview")), 1),
            i[2] || (i[2] = m()),
            i[3] || (i[3] = o("i", { class: "material-icons align-bottom" }, "bar_chart", -1))
          ], 8, I)
        ], 10, y)) : g("", !0)
      ], 8, _),
      i[6] || (i[6] = m()),
      n.showGeoLink(e.distribution) ? (d(), k("a", {
        key: 0,
        class: "dropdown-item px-3 d-flex justify-content-end align-items-center",
        href: n.getGeoLink,
        target: "_blank",
        onClick: i[1] || (i[1] = (f) => t.$emit("track-link", n.getGeoLink, "link"))
      }, [
        o("small", O, c(t.$t("message.datasetDetails.geoVisualisation")), 1),
        i[4] || (i[4] = m()),
        i[5] || (i[5] = o("i", { class: "material-icons float-right align-bottom" }, "public", -1))
      ], 8, G)) : g("", !0)
    ]),
    _: 1
  }, 8, ["title", "message"])) : g("", !0);
}
const M = /* @__PURE__ */ C(U, [["render", B], ["__scopeId", "data-v-caf49a5f"]]);
export {
  M as default
};
//# sourceMappingURL=DistributionOptionsDropdown.vue.mjs.map
