import { getTranslationFor as u, truncate as D } from "../../utils/helpers.mjs";
import { isNil as v, has as S } from "lodash-es";
import x from "../../widgets/AppLink.vue.mjs";
import { mapGetters as C } from "vuex";
import { resolveComponent as h, openBlock as r, createElementBlock as l, createVNode as y, createTextVNode as a, createElementVNode as s, Fragment as f, renderList as b, toDisplayString as o, createCommentVNode as m, renderSlot as w, withCtx as A } from "vue";
import L from "../../_virtual/_plugin-vue_export-helper.mjs";
const V = {
  name: "DatasetDetailsDataServices",
  components: {
    // DatasetDetailsFeatureHeader,
    AppLink: x
  },
  props: {
    getDataServices: Array,
    nonOverflowingIncrementsForPages: Function,
    increaseNumDisplayedPages: Function,
    trackGoto: Function
  },
  data() {
    return {
      dataServices: {
        isVisible: this.$env.content.datasetDetails.dataServices.isVisible,
        displayAll: this.$env.content.datasetDetails.dataServices.displayAll,
        displayCount: this.$env.content.datasetDetails.dataServices.displayCount,
        incrementSteps: this.$env.content.datasetDetails.dataServices.incrementSteps,
        descriptionMaxLines: this.$env.content.datasetDetails.dataServices.descriptionMaxLines,
        descriptionMaxChars: this.$env.content.datasetDetails.dataServices.descriptionMaxChars
      },
      expandedDataServicesDescriptions: [],
      expandedDataServices: []
    };
  },
  computed: {
    ...C("datasetDetails", [
      "getLanguages"
    ]),
    displayedDataServices() {
      const e = [...this.getDataServices].sort((t, d) => u(t.title, this.$route.query.locale, this.getLanguages) < u(d.title, this.$route.query.locale, this.getLanguages) ? -1 : u(t.title, this.$route.query.locale, this.getLanguages) > u(d.title, this.$route.query.locale, this.getLanguages) ? 1 : 0);
      return this.dataServices.displayAll ? Object.freeze(e) : Object.freeze(e.slice(0, this.dataServices.displayCount));
    },
    isDataServicesAllDisplayed() {
      return this.dataServices.displayCount === this.getDataServices.length;
    },
    remainingDataServices() {
      return this.getDataServices.length - this.dataServices.displayCount;
    }
  },
  methods: {
    truncate: D,
    toggleDataServiceDescription(e) {
      const t = this.expandedDataServicesDescriptions.indexOf(e);
      t > -1 ? this.expandedDataServicesDescriptions.splice(t, 1) : this.expandedDataServicesDescriptions.push(e);
    },
    toggleDataServices() {
      this.dataServices.isVisible = !this.dataServices.isVisible;
    },
    dataServiceIsExpanded(e) {
      return this.expandedDataServices.includes(e);
    },
    dataServiceDescriptionIsExpanded(e) {
      return this.expandedDataServicesDescriptions.includes(e);
    },
    dataServiceDescriptionIsExpandable(e) {
      return v(e) ? !1 : e.length > this.dataServices.descriptionMaxChars;
    },
    getDataServiceTitle(e) {
      return e.title ? u(e.title, this.$route.query.locale, this.getLanguages) : D(e.endpoint_url[0], 50);
    },
    getDataServiceDescription(e) {
      return S(e, "description") && !v(e.description) ? u(e.description, this.$route.query.locale, this.getLanguages) : this.$t("message.catalogsAndDatasets.noDescriptionAvailable");
    },
    getDataServiceResource(e) {
      return S(e.availability, "resource") && !v(e.availability.resource) ? e.availability.resource : "";
    }
  },
  mounted() {
    const e = this.$env.content.datasetDetails && this.$env.content.datasetDetails.dataServices;
    e && (this.dataServices.displayAll = e.displayAll || this.dataServices.displayAll, this.dataServices.displayCount = parseInt(e.displayCount, 10) || this.dataServices.displayCount, typeof e.incrementSteps == "string" && (e.incrementSteps = JSON.parse(e.incrementSteps)), this.dataServices.incrementSteps = e.incrementSteps || this.dataServices.incrementSteps), this.dataServices.displayAll && (this.dataServices.displayCount = this.getDataServices.length);
  }
}, I = { class: "dsd-feature" }, M = {
  key: 0,
  class: "list list-unstyled col-12",
  "data-cy": "documentation"
}, N = {
  key: 0,
  class: "distributions__item--preview"
}, E = { class: "distributions__actions pb-md-3" }, F = ["onClick"], q = { class: "row" }, O = { class: "col-10 col-md-11" }, R = { class: "row" }, T = { class: "d-inline-block col-12" }, $ = ["title"], P = { class: "d-inline-block col-12 col-md-9 col-lg-7" }, G = { class: "mt-2 d-block" }, j = { key: 0 }, z = { class: "text-muted" }, B = ["onClick"], J = { key: 1 }, X = { class: "text-muted" }, H = { key: 2 }, K = { class: "text-muted" }, Q = ["onClick"], U = { key: 0 }, W = ["href"], Y = { class: "col-12 col-md-3 col-lg-5 mt-2 text-md-right text-left" }, Z = { class: "download dropdown d-inline-block" };
function ee(e, t, d, te, c, i) {
  const k = h("dataset-details-feature-header"), _ = h("app-link");
  return r(), l("div", I, [
    y(k, {
      title: `${e.$t("message.metadata.dataServices")} (${d.getDataServices ? d.getDataServices.length.toLocaleString("fi") : 0})`,
      arrowDown: !c.dataServices.isVisible,
      tag: "documentation-toggle",
      onClick: i.toggleDataServices
    }, null, 8, ["title", "arrowDown", "onClick"]),
    t[16] || (t[16] = a()),
    c.dataServices.isVisible ? (r(), l("ul", M, [
      t[14] || (t[14] = s("hr", null, null, -1)),
      t[15] || (t[15] = a()),
      (r(), l("div", {
        class: "distributions",
        key: `${c.expandedDataServices.length}--${c.expandedDataServicesDescriptions.length}`
      }, [
        (r(!0), l(f, null, b(i.displayedDataServices, (n, g) => (r(), l("div", {
          key: g,
          class: "distributions__item"
        }, [
          !c.dataServices.displayAll && !i.isDataServicesAllDisplayed && g === c.dataServices.displayCount - 1 ? (r(), l("div", N, [
            s("div", E, [
              (r(!0), l(f, null, b(c.dataServices.incrementSteps.filter(d.nonOverflowingIncrementsForPages), (p) => (r(), l("button", {
                key: p,
                class: "btn btn-sm btn-secondary mr-1",
                onClick: (se) => d.increaseNumDisplayedPages(p)
              }, [
                t[1] || (t[1] = s("i", { class: "fas fa-chevron-down" }, null, -1)),
                a(" " + o(e.$t("message.metadata.showXMore", { increment: p })), 1)
              ], 8, F))), 128)),
              t[3] || (t[3] = a()),
              s("button", {
                class: "btn btn-sm btn-primary",
                onClick: t[0] || (t[0] = (p) => c.dataServices.displayCount = d.getDataServices.length)
              }, [
                t[2] || (t[2] = s("i", { class: "fas fa-eye" }, null, -1)),
                a(" " + o(e.$t("message.metadata.showAll")) + " " + o(d.getDataServices.length.toLocaleString("fi")), 1)
              ])
            ])
          ])) : m("", !0),
          t[11] || (t[11] = a()),
          s("li", q, [
            t[9] || (t[9] = s("span", { class: "d-inline-block col-2 col-md-1 pl-1 p-md-3 px-md-4 m-md-0 m-auto" }, [
              s("div", { class: "circle float-md-right text-center text-white invisible" })
            ], -1)),
            t[10] || (t[10] = a()),
            s("span", O, [
              s("span", R, [
                s("span", T, [
                  s("h3", {
                    class: "m-0 text-break",
                    title: i.getDataServiceTitle(n)
                  }, o(i.getDataServiceTitle(n)), 9, $)
                ]),
                t[7] || (t[7] = a()),
                s("span", P, [
                  s("span", G, [
                    i.dataServiceDescriptionIsExpanded(`data-service-description-toggle-${g}`) ? (r(), l("small", j, [
                      s("p", z, [
                        a(o(i.getDataServiceDescription(n)) + " ", 1),
                        s("span", {
                          class: "text-primary details-link pl-2",
                          onClick: (p) => i.toggleDataServiceDescription(`data-service-description-toggle-${g}`)
                        }, o(e.$t("message.metadata.readLess")), 9, B)
                      ])
                    ])) : i.dataServiceDescriptionIsExpandable(i.getDataServiceDescription(n)) ? (r(), l("small", H, [
                      s("p", K, [
                        a(o(i.truncate(i.getDataServiceDescription(n), n.descriptionMaxChars)) + " ", 1),
                        s("span", {
                          class: "text-primary details-link pl-2",
                          onClick: (p) => i.toggleDataServiceDescription(`data-service-description-toggle-${g}`)
                        }, o(e.$t("message.metadata.readMore")), 9, Q)
                      ])
                    ])) : (r(), l("small", J, [
                      s("p", X, o(i.getDataServiceDescription(n)), 1)
                    ]))
                  ]),
                  t[5] || (t[5] = a()),
                  w(e.$slots, "data-service-description", { dataService: n }),
                  t[6] || (t[6] = a()),
                  s("span", null, [
                    i.getDataServiceResource(n) ? (r(), l("small", U, [
                      t[4] || (t[4] = a(`
                        
                        Resource: `)),
                      s("a", {
                        href: i.getDataServiceResource(n)
                      }, o(i.getDataServiceResource(n)), 9, W)
                    ])) : m("", !0)
                  ])
                ]),
                t[8] || (t[8] = a()),
                s("span", Y, [
                  s("span", Z, [
                    y(_, {
                      class: "btn btn-sm btn-primary p-0 pl-2 pr-2 w-100 rounded-lg btn-color",
                      to: n.endpoint_url[0],
                      target: "_blank",
                      rel: "dcat:distribution noopener",
                      "matomo-track-download": "",
                      onAfterClick: d.trackGoto
                    }, {
                      default: A(() => [
                        a(o(e.$t("message.datasetDetails.access")), 1)
                      ]),
                      _: 2
                    }, 1032, ["to", "onAfterClick"])
                  ])
                ])
              ])
            ])
          ]),
          t[12] || (t[12] = a()),
          t[13] || (t[13] = s("hr", { class: "mt-1" }, null, -1))
        ]))), 128))
      ]))
    ])) : m("", !0)
  ]);
}
const de = /* @__PURE__ */ L(V, [["render", ee]]);
export {
  de as default
};
//# sourceMappingURL=DatasetDetailsDataServices.vue.mjs.map
