import C from "jquery";
import { getTranslationFor as c, truncate as h } from "../../utils/helpers.mjs";
import { isNil as p, has as f } from "lodash-es";
import v from "../../widgets/AppLink.vue.mjs";
import { mapGetters as F } from "vuex";
import { resolveComponent as P, openBlock as o, createElementBlock as r, createVNode as y, createTextVNode as l, createElementVNode as s, Fragment as b, renderList as k, toDisplayString as d, createCommentVNode as _, withCtx as w } from "vue";
import "./DatasetDetailsPages.vue2.mjs";
import L from "../../_virtual/_plugin-vue_export-helper.mjs";
const A = {
  name: "DatasetDetailsPages",
  components: {
    // DatasetDetailsFeatureHeader,
    AppLink: v
  },
  props: {
    pages: Object,
    increaseNumDisplayedPages: Function,
    nonOverflowingIncrementsForPages: Function,
    trackGoto: Function
  },
  data() {
    return {
      expandedPageDescriptions: [],
      expandedPages: []
    };
  },
  computed: {
    ...F("datasetDetails", [
      "getPages"
    ]),
    displayedPages() {
      const e = [...this.getPages].sort((t, i) => c(t.title, this.$route.query.locale, this.getLanguages) < c(i.title, this.$route.query.locale, this.getLanguages) ? -1 : c(t.title, this.$route.query.locale, this.getLanguages) > c(i.title, this.$route.query.locale, this.getLanguages) ? 1 : 0);
      return this.pages.displayAll ? Object.freeze(e) : Object.freeze(e.slice(0, this.pages.displayCount));
    },
    isPagesAllDisplayed() {
      return this.pages.displayCount === this.getPages.length;
    },
    remainingPages() {
      return this.getPages.length - this.pages.displayCount;
    }
  },
  methods: {
    truncate: h,
    togglePageDescription(e) {
      const t = this.expandedPageDescriptions.indexOf(e);
      t > -1 ? this.expandedPageDescriptions.splice(t, 1) : this.expandedPageDescriptions.push(e);
    },
    togglePage() {
      this.pages.isVisible = !this.pages.isVisible, C('[data-toggle="tooltip"]').tooltip({
        container: "body"
      });
    },
    pageDescriptionIsExpanded(e) {
      return this.expandedPageDescriptions.includes(e);
    },
    pageDescriptionIsExpandable(e) {
      return p(e) ? !1 : e.length > this.pages.descriptionMaxChars;
    },
    pageIsExpanded(e) {
      return this.expandedPages.includes(e);
    },
    getPageFormat(e) {
      return f(e, "format.label") && !p(e.format.label) ? e.format.label : "UNKNOWN";
    },
    pageFormatTruncated(e) {
      return this.getPageFormat(e).length > 4;
    },
    getPageTitle(e) {
      return e.title ? c(e.title, this.$route.query.locale, this.getLanguages) : h(e.resource, 50);
    },
    getPageDescription(e) {
      return f(e, "description") && !p(e.description) ? c(e.description, this.$route.query.locale, this.getLanguages) : this.$t("message.catalogsAndDatasets.noDescriptionAvailable");
    }
  }
}, N = { class: "dsd-feature" }, T = {
  key: 0,
  class: "list list-unstyled col-12",
  "data-cy": "documentation"
}, I = {
  key: 0,
  class: "distributions__item--preview"
}, V = { class: "distributions__actions pb-md-3" }, E = ["onClick"], O = { class: "row" }, q = { class: "dsd-pages-item-format d-inline-block col-2 col-md-1 pl-1 p-md-3 px-md-4 m-md-0 m-auto" }, M = ["type", "data-toggle", "data-placement", "title"], S = { class: "dsd-pages-item-content col-10 col-md-11" }, j = { class: "row" }, G = { class: "dsd-pages-item-title d-inline-block col-12" }, z = ["title"], B = { class: "dsd-pages-item-description d-inline-block col-12 col-md-9 col-lg-7" }, K = { class: "mt-2 d-block" }, U = { key: 0 }, W = { class: "text-muted" }, X = ["onClick"], H = { key: 1 }, J = { class: "text-muted" }, Q = { key: 2 }, R = { class: "text-muted" }, Y = ["onClick"], Z = { class: "dsd-pages-button col-12 col-md-3 col-lg-5 mt-2 text-md-right text-left" }, $ = { class: "d-inline-block" };
function ee(e, t, i, te, u, a) {
  const D = P("dataset-details-feature-header"), x = P("app-link");
  return o(), r("div", N, [
    y(D, {
      title: `${e.$t("message.metadata.documentations")} (${e.getPages ? e.getPages.length.toLocaleString("fi") : 0})`,
      arrowDown: !i.pages.isVisible,
      tag: "documentation-toggle",
      onClick: a.togglePage
    }, null, 8, ["title", "arrowDown", "onClick"]),
    t[12] || (t[12] = l()),
    i.pages.isVisible ? (o(), r("ul", T, [
      t[10] || (t[10] = s("hr", null, null, -1)),
      t[11] || (t[11] = l()),
      (o(), r("div", {
        class: "dsd-pages-list",
        key: `${u.expandedPages.length}--${u.expandedPageDescriptions.length}`
      }, [
        (o(!0), r(b, null, k(a.displayedPages, (n, m) => (o(), r("div", {
          key: m,
          class: "dsd-pages-item"
        }, [
          !i.pages.displayAll && !a.isPagesAllDisplayed && m === i.pages.displayCount - 1 ? (o(), r("div", I, [
            s("div", V, [
              (o(!0), r(b, null, k(i.pages.incrementSteps.filter(i.nonOverflowingIncrementsForPages), (g) => (o(), r("button", {
                key: g,
                class: "btn btn-sm btn-secondary mr-1",
                onClick: (se) => i.increaseNumDisplayedPages(g)
              }, [
                t[1] || (t[1] = s("i", { class: "fas fa-chevron-down" }, null, -1)),
                l(" " + d(e.$t("message.metadata.showXMore", { increment: g })), 1)
              ], 8, E))), 128)),
              t[3] || (t[3] = l()),
              s("button", {
                class: "btn btn-sm btn-primary",
                onClick: t[0] || (t[0] = (g) => i.pages.displayCount = e.getPages.length)
              }, [
                t[2] || (t[2] = s("i", { class: "fas fa-eye" }, null, -1)),
                l(" " + d(e.$t("message.metadata.showAll")) + " " + d(e.getPages.length.toLocaleString("fi")), 1)
              ])
            ])
          ])) : _("", !0),
          t[7] || (t[7] = l()),
          s("li", O, [
            s("span", q, [
              s("div", {
                class: "circle float-md-right text-center",
                type: a.getPageFormat(n),
                "data-toggle": a.pageFormatTruncated(n) ? "tooltip" : !1,
                "data-placement": a.pageFormatTruncated(n) ? "top" : !1,
                title: a.pageFormatTruncated(n) ? a.getPageFormat(n) : !1
              }, [
                s("span", null, d(a.truncate(a.getPageFormat(n), 4, !0)), 1)
              ], 8, M)
            ]),
            t[6] || (t[6] = l()),
            s("span", S, [
              s("span", j, [
                s("span", G, [
                  s("h3", {
                    class: "m-0 text-break",
                    title: a.getPageTitle(n)
                  }, d(a.getPageTitle(n)), 9, z)
                ]),
                t[4] || (t[4] = l()),
                s("span", B, [
                  s("span", K, [
                    a.pageDescriptionIsExpanded(`page-description-toggle-${m}`) ? (o(), r("small", U, [
                      s("p", W, [
                        l(d(a.getPageDescription(n)) + " ", 1),
                        s("span", {
                          class: "text-primary details-link pl-2",
                          onClick: (g) => a.togglePageDescription(`page-description-toggle-${m}`)
                        }, d(e.$t("message.metadata.readLess")), 9, X)
                      ])
                    ])) : a.pageDescriptionIsExpandable(a.getPageDescription(n)) ? (o(), r("small", Q, [
                      s("p", R, [
                        l(d(a.truncate(a.getPageDescription(n), i.pages.descriptionMaxChars)) + " ", 1),
                        s("span", {
                          class: "text-primary details-link pl-2",
                          onClick: (g) => a.togglePageDescription(`page-description-toggle-${m}`)
                        }, d(e.$t("message.metadata.readMore")), 9, Y)
                      ])
                    ])) : (o(), r("small", H, [
                      s("p", J, d(a.getPageDescription(n)), 1)
                    ]))
                  ])
                ]),
                t[5] || (t[5] = l()),
                s("span", Z, [
                  s("span", $, [
                    y(x, {
                      class: "dsd-action-button btn btn-sm btn-primary p-0 pl-2 pr-2 w-100 rounded-lg btn-color",
                      to: n.resource,
                      target: "_blank",
                      rel: "dcat:distribution noopener",
                      "matomo-track-download": "",
                      onAfterClick: i.trackGoto
                    }, {
                      default: w(() => [
                        l(d(e.$t("message.datasetDetails.access")), 1)
                      ]),
                      _: 2
                    }, 1032, ["to", "onAfterClick"])
                  ])
                ])
              ])
            ])
          ]),
          t[8] || (t[8] = l()),
          t[9] || (t[9] = s("hr", { class: "mt-1" }, null, -1))
        ]))), 128))
      ]))
    ])) : _("", !0)
  ]);
}
const ce = /* @__PURE__ */ L(A, [["render", ee], ["__scopeId", "data-v-f06a8fdf"]]);
export {
  ce as default
};
//# sourceMappingURL=DatasetDetailsPages.vue.mjs.map
