import { has as u, isNil as p } from "lodash-es";
import { getTranslationFor as c, getCountryFlagImg as C } from "../../utils/helpers.mjs";
import { mapGetters as f } from "vuex";
import y from "../../widgets/AppLink.vue.mjs";
import { resolveComponent as k, openBlock as l, createElementBlock as r, createElementVNode as n, toDisplayString as i, createCommentVNode as g, createTextVNode as s, normalizeClass as d, createVNode as h, normalizeStyle as F, withCtx as _ } from "vue";
import "./DatasetDetailsHeaderCatalogue.vue2.mjs";
import b from "../../_virtual/_plugin-vue_export-helper.mjs";
const D = {
  name: "DatasetDetailsHeaderCatalogue",
  components: { AppLink: y },
  props: {
    disableLink: Boolean,
    catalogueNameFontSize: String,
    embed: {
      type: Boolean,
      default: () => !1
    }
  },
  computed: {
    ...f("datasetDetails", [
      "getCatalog",
      "getCountry",
      "getLanguages"
    ]),
    getCatalogLink() {
      return { path: `/catalogues/${this.getCatalog.id}`, query: { locale: this.$route.query.locale } };
    }
  },
  methods: {
    getTranslationFor: c,
    getCountryFlagImg: C,
    showCountryFlag(e) {
      return u(e, "id") && !p(e.id);
    }
  }
}, L = { class: "d-flex align-items-center dsd-header-catalogue" }, N = {
  key: 0,
  class: "d-lg-none dsd-title-tag"
}, S = ["src"];
function v(e, t, o, z, B, a) {
  const m = k("app-link");
  return l(), r("div", L, [
    o.embed ? g("", !0) : (l(), r("div", N, [
      n("span", null, i(e.$t("message.metadata.dataset")), 1)
    ])),
    t[1] || (t[1] = s()),
    n("div", null, [
      a.showCountryFlag(e.getCountry) ? (l(), r("img", {
        key: 0,
        class: d(["mr-2 border border-dark flag", { io: e.getCountry.id === "io" }]),
        src: a.getCountryFlagImg(e.getCountry.id),
        alt: "Catalog Flag"
      }, null, 10, S)) : g("", !0),
      t[0] || (t[0] = s()),
      h(m, {
        to: a.getCatalogLink,
        title: e.$t("message.tooltip.datasetDetails.catalogue"),
        "data-toggle": "tooltip",
        "data-placement": "top",
        class: d({ "disabled-link": o.disableLink }),
        style: F({ fontSize: o.catalogueNameFontSize })
      }, {
        default: _(() => [
          s(i(a.getTranslationFor(e.getCatalog.title, e.$route.query.locale, e.getLanguages)), 1)
        ]),
        _: 1
      }, 8, ["to", "title", "class", "style"])
    ])
  ]);
}
const $ = /* @__PURE__ */ b(D, [["render", v], ["__scopeId", "data-v-a6a32f1f"]]);
export {
  $ as default
};
//# sourceMappingURL=DatasetDetailsHeaderCatalogue.vue.mjs.map
