import { mapActions as p } from "vuex";
import { getTranslationFor as m } from "../utils/helpers.mjs";
import d from "./DatasetsFiltersTabs.vue.mjs";
import { resolveComponent as h, openBlock as a, createElementBlock as u, renderSlot as n, createElementVNode as l, withDirectives as g, withKeys as y, vModelText as b, createTextVNode as i, Fragment as q, renderList as f, toDisplayString as v, createCommentVNode as S, createVNode as D } from "vue";
import "./DatasetsFilters.vue2.mjs";
import F from "../_virtual/_plugin-vue_export-helper.mjs";
const Q = {
  name: "DatasetsFilters",
  components: {
    DatasetsFiltersTabs: d
  },
  data() {
    return {
      query: "",
      autocompleteData: {
        suggestions: {},
        show: !0
      },
      useCatalogs: this.$env.content.datasets.useCatalogs,
      useSort: this.$env.content.datasets.useSort,
      sortSelected: "",
      sortSelectedLabel: this.$t("message.sort.relevance")
    };
  },
  created() {
    this.query = this.$route.query.query || "";
  },
  methods: {
    getTranslationFor: m,
    ...p("datasets", [
      "setQuery",
      "autocompleteQuery",
      "setSort"
    ]),
    changeQuery(s) {
      this.$router.replace(
        { query: Object.assign({}, this.$route.query, { query: s }, { page: 1 }) }
      ).catch(
        (e) => {
          console.error(e);
        }
      ), this.setQuery(s);
    },
    handleSuggestionSelection(s) {
      this.$router.push(
        { path: this.$route.path.slice(-1) === "/" ? `${this.$route.path}${s.idName}` : `${this.$route.path}/${s.idName}` }
      ).catch(
        (e) => {
          console.error(e);
        }
      );
    },
    setSearchQuery(s) {
      this.query = s;
    }
  }
}, C = { class: "filters-group ds" }, k = { class: "input-group" }, T = ["aria-label", "placeholder"], w = { class: "input-group-append ml-2" }, N = {
  key: 0,
  class: "suggestion-list-group"
}, V = { class: "list-group suggestion-list" }, $ = ["onClick"];
function B(s, e, L, _, t, o) {
  const c = h("DatasetsFiltersTabs");
  return a(), u("div", C, [
    n(s.$slots, "search-bar", {
      query: t.query,
      bind: { value: t.query },
      on: { input: o.setSearchQuery },
      searchFn: o.changeQuery
    }, () => [
      l("div", k, [
        g(l("input", {
          type: "text",
          class: "form-control rounded-lg ds-input",
          "aria-label": s.$t("message.datasets.searchBar.placeholder"),
          placeholder: s.$t("message.datasets.searchBar.placeholder"),
          "onUpdate:modelValue": e[0] || (e[0] = (r) => t.query = r),
          onKeyup: e[1] || (e[1] = y((r) => o.changeQuery(t.query), ["enter"])),
          onClick: e[2] || (e[2] = (r) => t.autocompleteData.show = t.autocompleteData.suggestions.length > 0 && t.query.length > 0 ? !t.autocompleteData.show : !1)
        }, null, 40, T), [
          [b, t.query]
        ]),
        e[5] || (e[5] = i()),
        n(s.$slots, "update-filter", {
          query: t.query,
          searchFn: o.changeQuery
        }, () => [
          l("div", w, [
            l("button", {
              class: "btn btn-sm btn-primary d-flex align-items-center search-button ds-input",
              type: "button",
              onClick: e[3] || (e[3] = (r) => o.changeQuery(t.query))
            }, e[4] || (e[4] = [
              l("i", { class: "material-icons align-bottom" }, "search", -1)
            ]))
          ])
        ], !0),
        e[6] || (e[6] = i()),
        t.autocompleteData.show ? (a(), u("div", N, [
          l("ul", V, [
            (a(!0), u(q, null, f(t.autocompleteData.suggestions, (r) => (a(), u("button", {
              class: "list-group-item list-group-item-action",
              key: r.id,
              onClick: (E) => o.handleSuggestionSelection(r)
            }, v(o.getTranslationFor(r.title, s.$route.query.locale, r.languages)), 9, $))), 128))
          ])
        ])) : S("", !0)
      ])
    ], !0),
    e[7] || (e[7] = i()),
    n(s.$slots, "filters-tabs", {}, () => [
      D(c, {
        "use-sort": t.useSort,
        "use-catalogs": t.useCatalogs,
        query: t.query,
        "sort-selected-label": t.sortSelectedLabel,
        locale: s.$route.query.locale
      }, null, 8, ["use-sort", "use-catalogs", "query", "sort-selected-label", "locale"])
    ], !0)
  ]);
}
const U = /* @__PURE__ */ F(Q, [["render", B], ["__scopeId", "data-v-0d6fd5e2"]]);
export {
  U as default
};
//# sourceMappingURL=DatasetsFilters.vue.mjs.map
