import { openBlock as m, createElementBlock as r, createElementVNode as t, createTextVNode as d, toDisplayString as a, withDirectives as n, vModelText as p, createCommentVNode as u, vModelCheckbox as b, createStaticVNode as f, vShow as h } from "vue";
import "./DatasetEmbedModal.vue2.mjs";
import g from "../_virtual/_plugin-vue_export-helper.mjs";
const v = {
  name: "embed-modal",
  data() {
    return {
      iframeWidth: this.$env.content.datasetDetails.embed.defaultWidth,
      iframeHeight: this.$env.content.datasetDetails.embed.defaultHeight,
      embedCode: "",
      copied: !1,
      minRange: this.$env.content.datasetDetails.embed.minRange,
      maxRange: this.$env.content.datasetDetails.embed.maxRange,
      embedType: "embed",
      // default to 'embed'
      isResponsive: !1
    };
  },
  methods: {
    selectAll(o) {
      o.target.select();
    },
    updateEmbedCode() {
      this.isResponsive ? this.iframeWidth = "100%" : (this.iframeWidth = 900, this.iframeWidth = Math.min(Math.max(this.iframeWidth, this.minRange), this.maxRange), this.iframeHeight = Math.min(Math.max(this.iframeHeight, this.minRange), this.maxRange));
      const o = window.location.href.replace(/\?.*$/, "") + "/" + this.embedType;
      this.embedCode = `<iframe src="${o}" width="${this.iframeWidth}" height="${this.iframeHeight}" frameborder="0"></iframe>`;
    },
    updateEmbedCodeType(o) {
      this.embedType = o.target.value === "snippet" ? "embed-snippet" : "embed", this.updateEmbedCode();
    },
    copy() {
      navigator.clipboard.writeText(this.embedCode).then(() => {
        this.copied = !0, setTimeout(() => {
          this.copied = !1;
        }, 3e3);
      }).catch((o) => {
        console.error("Failed to copy: ", o);
      });
    }
  },
  created() {
    this.updateEmbedCode();
  }
}, c = {
  class: "modal fade",
  id: "embedModal",
  tabindex: "-1",
  role: "dialog",
  "aria-labelledby": "",
  "aria-hidden": "true",
  style: { "background-color": "rgba(0, 0, 0, 0.75)" }
}, x = {
  class: "modal-dialog modal-dialog-centered modal-lg",
  role: "document",
  style: { "z-index": "1100", "max-width": "52%" }
}, y = {
  class: "modal-content border-none",
  style: { "border-radius": "0", padding: "1rem 2.125rem 2.75rem" }
}, C = {
  type: "button",
  id: "modal-close-btn",
  "data-dismiss": "modal",
  class: "close",
  "aria-label": "Close"
}, w = {
  "aria-hidden": "true",
  class: "close-icon rounded-circle"
}, k = {
  xmlns: "http://www.w3.org/2000/svg",
  fill: "white",
  "xmlns:xlink": "http://www.w3.org/1999/xlink",
  height: "8",
  id: "Layer_1",
  style: { "enable-background": "new 0 0 512 512" },
  version: "1.1",
  viewBox: "0 0 512 512",
  width: "8",
  "xml:space": "preserve"
}, R = { class: "modal-head" }, E = {
  class: "modal-title",
  id: "exampleModalLabel",
  style: { display: "inline-block" }
}, D = { class: "modal-body" }, H = {
  class: "container",
  style: { padding: "0", margin: "0" }
}, V = { class: "d-flex flex-row iframeSettings" }, T = { class: "input-wrapper" }, W = { for: "iframeWidth" }, M = { class: "input-with-px" }, L = ["min", "max"], z = ["min", "max"], S = {
  class: "input-wrapper height",
  style: { "padding-left": "3.3rem" }
}, U = { for: "iframeHeight" }, B = { class: "input-with-px" }, I = ["min", "max"], N = { class: "form-check mb-4" }, A = { class: "ecl-form-group" }, Z = {
  class: "ecl-form-label",
  for: "ebmedTextarea",
  style: { "font-size": "18px", "font-weight": "400", color: "#000000" }
}, P = ["value"], j = { class: "form-check mt-4" }, F = { class: "form-check" }, q = { class: "modal-footer justify-content-start" }, G = { class: "copied" }, J = { class: "form-check-label" };
function K(o, e, O, Q, i, l) {
  return m(), r("div", c, [
    t("div", x, [
      t("div", y, [
        t("button", C, [
          d(a(o.$t("message.datasetDetails.datasets.modal.close")) + " ", 1),
          t("span", w, [
            (m(), r("svg", k, e[12] || (e[12] = [
              t("path", { d: "M443.6,387.1L312.4,255.4l131.5-130c5.4-5.4,5.4-14.2,0-19.6l-37.4-37.6c-2.6-2.6-6.1-4-9.8-4c-3.7,0-7.2,1.5-9.8,4  L256,197.8L124.9,68.3c-2.6-2.6-6.1-4-9.8-4c-3.7,0-7.2,1.5-9.8,4L68,105.9c-5.4,5.4-5.4,14.2,0,19.6l131.5,130L68.4,387.1  c-2.6,2.6-4.1,6.1-4.1,9.8c0,3.7,1.4,7.2,4.1,9.8l37.4,37.6c2.7,2.7,6.2,4.1,9.8,4.1c3.5,0,7.1-1.3,9.8-4.1L256,313.1l130.7,131.1  c2.7,2.7,6.2,4.1,9.8,4.1c3.5,0,7.1-1.3,9.8-4.1l37.4-37.6c2.6-2.6,4.1-6.1,4.1-9.8C447.7,393.2,446.2,389.7,443.6,387.1z" }, null, -1)
            ])))
          ])
        ]),
        e[30] || (e[30] = d()),
        t("div", R, [
          t("h5", E, a(o.$t("message.datasetDetails.datasets.modal.embedText")), 1)
        ]),
        e[31] || (e[31] = d()),
        t("div", D, [
          t("div", H, [
            t("div", V, [
              t("div", T, [
                t("label", W, a(o.$t("message.datasetDetails.datasets.modal.width")), 1),
                e[14] || (e[14] = t("br", null, null, -1)),
                e[15] || (e[15] = d()),
                t("div", M, [
                  i.isResponsive ? u("", !0) : n((m(), r("input", {
                    key: 0,
                    type: "number",
                    id: "iframeWidth",
                    "onUpdate:modelValue": e[0] || (e[0] = (s) => i.iframeWidth = s),
                    onInput: e[1] || (e[1] = (...s) => l.updateEmbedCode && l.updateEmbedCode(...s)),
                    min: i.minRange,
                    max: i.maxRange
                  }, null, 40, L)), [
                    [p, i.iframeWidth]
                  ]),
                  e[13] || (e[13] = d()),
                  i.isResponsive ? n((m(), r("input", {
                    key: 1,
                    class: "disable-width",
                    type: "text",
                    id: "iframeWidth",
                    "onUpdate:modelValue": e[2] || (e[2] = (s) => i.iframeWidth = s),
                    onInput: e[3] || (e[3] = (...s) => l.updateEmbedCode && l.updateEmbedCode(...s)),
                    min: i.minRange,
                    max: i.maxRange
                  }, null, 40, z)), [
                    [p, i.iframeWidth]
                  ]) : u("", !0)
                ])
              ]),
              e[18] || (e[18] = d()),
              t("div", S, [
                t("label", U, a(o.$t("message.datasetDetails.datasets.modal.height")), 1),
                e[16] || (e[16] = t("br", null, null, -1)),
                e[17] || (e[17] = d()),
                t("div", B, [
                  n(t("input", {
                    type: "number",
                    id: "iframeHeight",
                    "onUpdate:modelValue": e[4] || (e[4] = (s) => i.iframeHeight = s),
                    onInput: e[5] || (e[5] = (...s) => l.updateEmbedCode && l.updateEmbedCode(...s)),
                    min: i.minRange,
                    max: i.maxRange
                  }, null, 40, I), [
                    [p, i.iframeHeight]
                  ])
                ])
              ])
            ])
          ]),
          e[22] || (e[22] = d()),
          t("div", N, [
            n(t("input", {
              class: "form-check-input",
              type: "checkbox",
              "onUpdate:modelValue": e[6] || (e[6] = (s) => i.isResponsive = s),
              onChange: e[7] || (e[7] = (...s) => l.updateEmbedCode && l.updateEmbedCode(...s))
            }, null, 544), [
              [b, i.isResponsive]
            ]),
            e[19] || (e[19] = d()),
            e[20] || (e[20] = t("label", {
              class: "form-check-label",
              for: "responsive"
            }, `
                  Responsive
               `, -1))
          ]),
          e[23] || (e[23] = d()),
          t("div", A, [
            t("label", Z, a(o.$t("message.datasetDetails.datasets.modal.code")), 1),
            e[21] || (e[21] = d()),
            t("textarea", {
              id: "ebmedTextarea",
              style: { width: "100%", resize: "none", padding: "20px 25px 0px 20px", overflow: "hidden", "font-size": "18px", "line-height": "1.1", color: "#888888", "margin-top": "1.375rem", "word-break": "break-all", float: "left!important" },
              class: "ecl-text-area ecl-text-area--m",
              rows: "4",
              value: i.embedCode,
              onClick: e[8] || (e[8] = (...s) => l.selectAll && l.selectAll(...s))
            }, null, 8, P)
          ])
        ]),
        e[32] || (e[32] = d()),
        t("div", j, [
          t("input", {
            class: "form-check-input",
            type: "radio",
            name: "exampleRadios",
            id: "complete",
            value: "complete",
            checked: "",
            onChange: e[9] || (e[9] = (...s) => l.updateEmbedCodeType && l.updateEmbedCodeType(...s))
          }, null, 32),
          e[24] || (e[24] = d()),
          e[25] || (e[25] = t("label", {
            class: "form-check-label",
            for: "exampleRadios1"
          }, `
                  Complete Dataset
               `, -1))
        ]),
        e[33] || (e[33] = d()),
        t("div", F, [
          t("input", {
            class: "form-check-input",
            type: "radio",
            name: "exampleRadios",
            id: "snippet",
            value: "snippet",
            onChange: e[10] || (e[10] = (...s) => l.updateEmbedCodeType && l.updateEmbedCodeType(...s))
          }, null, 32),
          e[26] || (e[26] = d()),
          e[27] || (e[27] = t("label", {
            class: "form-check-label",
            for: "exampleRadios2"
          }, `
                  Snippet Dataset
               `, -1))
        ]),
        e[34] || (e[34] = d()),
        t("div", q, [
          t("button", {
            onClick: e[11] || (e[11] = (...s) => l.copy && l.copy(...s)),
            class: "ecl-button ecl-button--secondary px-4 py-3",
            style: { float: "left!important" },
            type: "button"
          }, a(o.$t("message.datasetDetails.datasets.modal.copy")), 1),
          e[29] || (e[29] = d()),
          n(t("span", G, [
            t("label", J, [
              e[28] || (e[28] = f('<svg width="20" height="23" viewBox="0 0 20 23" fill="none" xmlns="http://www.w3.org/2000/svg" data-v-48ec495c><g clip-path="url(#clip0_13_474)" data-v-48ec495c><path d="M14.2857 20.125V21.9219C14.2857 22.5173 13.806 23 13.2143 23H1.07143C0.479688 23 0 22.5173 0 21.9219V5.39062C0 4.79519 0.479688 4.3125 1.07143 4.3125H4.28571V17.6094C4.28571 18.9965 5.40719 20.125 6.78571 20.125H14.2857ZM14.2857 4.67188V0H6.78571C6.19397 0 5.71429 0.482686 5.71429 1.07812V17.6094C5.71429 18.2048 6.19397 18.6875 6.78571 18.6875H18.9286C19.5203 18.6875 20 18.2048 20 17.6094V5.75H15.3571C14.7679 5.75 14.2857 5.26484 14.2857 4.67188ZM19.6862 3.27799L16.7424 0.315756C16.5414 0.113582 16.2689 1.49498e-06 15.9848 0L15.7143 0V4.3125H20V4.04032C20 3.75439 19.8871 3.48018 19.6862 3.27799Z" fill="#464646" data-v-48ec495c></path></g> <defs data-v-48ec495c><clipPath id="clip0_13_474" data-v-48ec495c><rect width="20" height="23" fill="white" data-v-48ec495c></rect></clipPath></defs></svg>', 1)),
              d(" " + a(o.$t("message.datasetDetails.datasets.modal.copied")), 1)
            ])
          ], 512), [
            [h, i.copied]
          ])
        ])
      ])
    ])
  ]);
}
const $ = /* @__PURE__ */ g(v, [["render", K], ["__scopeId", "data-v-48ec495c"]]);
export {
  $ as default
};
//# sourceMappingURL=DatasetEmbedModal.vue.mjs.map
